"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LogTeleconferenceDeviceQualityRequestBody = void 0;
const createTeleconferenceDeviceQualityFromDiscriminatorValue_1 = require("../../../models/microsoft/graph/createTeleconferenceDeviceQualityFromDiscriminatorValue");
/** Provides operations to call the logTeleconferenceDeviceQuality method.  */
class LogTeleconferenceDeviceQualityRequestBody {
    /**
     * Instantiates a new logTeleconferenceDeviceQualityRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "quality": (o, n) => { o.quality = n.getObjectValue(createTeleconferenceDeviceQualityFromDiscriminatorValue_1.createTeleconferenceDeviceQualityFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the quality property value.
     * @returns a teleconferenceDeviceQuality
     */
    get quality() {
        return this._quality;
    }
    ;
    /**
     * Sets the quality property value.
     * @param value Value to set for the quality property.
     */
    set quality(value) {
        this._quality = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("quality", this.quality);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.LogTeleconferenceDeviceQualityRequestBody = LogTeleconferenceDeviceQualityRequestBody;
