"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImportRequestBody = void 0;
const createImportedWindowsAutopilotDeviceIdentityFromDiscriminatorValue_1 = require("../../../models/microsoft/graph/createImportedWindowsAutopilotDeviceIdentityFromDiscriminatorValue");
/** Provides operations to call the import method.  */
class ImportRequestBody {
    /**
     * Instantiates a new importRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "importedWindowsAutopilotDeviceIdentities": (o, n) => { o.importedWindowsAutopilotDeviceIdentities = n.getCollectionOfObjectValues(createImportedWindowsAutopilotDeviceIdentityFromDiscriminatorValue_1.createImportedWindowsAutopilotDeviceIdentityFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the importedWindowsAutopilotDeviceIdentities property value.
     * @returns a importedWindowsAutopilotDeviceIdentity
     */
    get importedWindowsAutopilotDeviceIdentities() {
        return this._importedWindowsAutopilotDeviceIdentities;
    }
    ;
    /**
     * Sets the importedWindowsAutopilotDeviceIdentities property value.
     * @param value Value to set for the importedWindowsAutopilotDeviceIdentities property.
     */
    set importedWindowsAutopilotDeviceIdentities(value) {
        this._importedWindowsAutopilotDeviceIdentities = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfObjectValues("importedWindowsAutopilotDeviceIdentities", this.importedWindowsAutopilotDeviceIdentities);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.ImportRequestBody = ImportRequestBody;
