"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheckMemberObjectsRequestBody = void 0;
/** Provides operations to call the checkMemberObjects method.  */
class CheckMemberObjectsRequestBody {
    /**
     * Instantiates a new checkMemberObjectsRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "ids": (o, n) => { o.ids = n.getCollectionOfPrimitiveValues(); },
        };
    }
    ;
    /**
     * Gets the ids property value.
     * @returns a string
     */
    get ids() {
        return this._ids;
    }
    ;
    /**
     * Sets the ids property value.
     * @param value Value to set for the ids property.
     */
    set ids(value) {
        this._ids = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfPrimitiveValues("ids", this.ids);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.CheckMemberObjectsRequestBody = CheckMemberObjectsRequestBody;
