"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssociateWithHubSitesRequestBody = void 0;
/** Provides operations to call the associateWithHubSites method.  */
class AssociateWithHubSitesRequestBody {
    /**
     * Instantiates a new associateWithHubSitesRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "hubSiteUrls": (o, n) => { o.hubSiteUrls = n.getCollectionOfPrimitiveValues(); },
            "propagateToExistingLists": (o, n) => { o.propagateToExistingLists = n.getBooleanValue(); },
        };
    }
    ;
    /**
     * Gets the hubSiteUrls property value.
     * @returns a string
     */
    get hubSiteUrls() {
        return this._hubSiteUrls;
    }
    ;
    /**
     * Sets the hubSiteUrls property value.
     * @param value Value to set for the hubSiteUrls property.
     */
    set hubSiteUrls(value) {
        this._hubSiteUrls = value;
    }
    ;
    /**
     * Gets the propagateToExistingLists property value.
     * @returns a boolean
     */
    get propagateToExistingLists() {
        return this._propagateToExistingLists;
    }
    ;
    /**
     * Sets the propagateToExistingLists property value.
     * @param value Value to set for the propagateToExistingLists property.
     */
    set propagateToExistingLists(value) {
        this._propagateToExistingLists = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfPrimitiveValues("hubSiteUrls", this.hubSiteUrls);
        writer.writeBooleanValue("propagateToExistingLists", this.propagateToExistingLists);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.AssociateWithHubSitesRequestBody = AssociateWithHubSitesRequestBody;
