"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AgreementFileData = void 0;
class AgreementFileData {
    /**
     * Instantiates a new agreementFileData and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the data property value. Data that represents the terms of use PDF document. Read-only.
     * @returns a binary
     */
    get data() {
        return this._data;
    }
    ;
    /**
     * Sets the data property value. Data that represents the terms of use PDF document. Read-only.
     * @param value Value to set for the data property.
     */
    set data(value) {
        this._data = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "data": (o, n) => { o.data = n.getStringValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("data", this.data);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.AgreementFileData = AgreementFileData;
