"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlternativeSecurityId = void 0;
class AlternativeSecurityId {
    /**
     * Instantiates a new alternativeSecurityId and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "identityProvider": (o, n) => { o.identityProvider = n.getStringValue(); },
            "key": (o, n) => { o.key = n.getStringValue(); },
            "type": (o, n) => { o.type = n.getNumberValue(); },
        };
    }
    ;
    /**
     * Gets the identityProvider property value. For internal use only
     * @returns a string
     */
    get identityProvider() {
        return this._identityProvider;
    }
    ;
    /**
     * Sets the identityProvider property value. For internal use only
     * @param value Value to set for the identityProvider property.
     */
    set identityProvider(value) {
        this._identityProvider = value;
    }
    ;
    /**
     * Gets the key property value. For internal use only
     * @returns a binary
     */
    get key() {
        return this._key;
    }
    ;
    /**
     * Sets the key property value. For internal use only
     * @param value Value to set for the key property.
     */
    set key(value) {
        this._key = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("identityProvider", this.identityProvider);
        writer.writeStringValue("key", this.key);
        writer.writeNumberValue("type", this.type);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the type property value. For internal use only
     * @returns a integer
     */
    get type() {
        return this._type;
    }
    ;
    /**
     * Sets the type property value. For internal use only
     * @param value Value to set for the type property.
     */
    set type(value) {
        this._type = value;
    }
    ;
}
exports.AlternativeSecurityId = AlternativeSecurityId;
