"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Approval = void 0;
const createApprovalStageFromDiscriminatorValue_1 = require("./createApprovalStageFromDiscriminatorValue");
const index_1 = require("./index");
class Approval extends index_1.Entity {
    /**
     * Instantiates a new approval and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "stages": (o, n) => { o.stages = n.getCollectionOfObjectValues(createApprovalStageFromDiscriminatorValue_1.createApprovalStageFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("stages", this.stages);
    }
    ;
    /**
     * Gets the stages property value. A collection of stages in the approval decision.
     * @returns a approvalStage
     */
    get stages() {
        return this._stages;
    }
    ;
    /**
     * Sets the stages property value. A collection of stages in the approval decision.
     * @param value Value to set for the stages property.
     */
    set stages(value) {
        this._stages = value;
    }
    ;
}
exports.Approval = Approval;
