"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Bitlocker = void 0;
const createBitlockerRecoveryKeyFromDiscriminatorValue_1 = require("./createBitlockerRecoveryKeyFromDiscriminatorValue");
const index_1 = require("./index");
class Bitlocker extends index_1.Entity {
    /**
     * Instantiates a new bitlocker and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "recoveryKeys": (o, n) => { o.recoveryKeys = n.getCollectionOfObjectValues(createBitlockerRecoveryKeyFromDiscriminatorValue_1.createBitlockerRecoveryKeyFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the recoveryKeys property value. The recovery keys associated with the bitlocker entity.
     * @returns a bitlockerRecoveryKey
     */
    get recoveryKeys() {
        return this._recoveryKeys;
    }
    ;
    /**
     * Sets the recoveryKeys property value. The recovery keys associated with the bitlocker entity.
     * @param value Value to set for the recoveryKeys property.
     */
    set recoveryKeys(value) {
        this._recoveryKeys = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("recoveryKeys", this.recoveryKeys);
    }
    ;
}
exports.Bitlocker = Bitlocker;
