import { Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class ColumnLink extends Entity implements Parsable {
    /** The name of the column  in this content type.  */
    private _name?;
    /**
     * Instantiates a new columnLink and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers<T>(): Record<string, (item: T, node: ParseNode) => void>;
    /**
     * Gets the name property value. The name of the column  in this content type.
     * @returns a string
     */
    get name(): string | undefined;
    /**
     * Sets the name property value. The name of the column  in this content type.
     * @param value Value to set for the name property.
     */
    set name(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
