"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceConfigurationAssignment = void 0;
const createDeviceAndAppManagementAssignmentTargetFromDiscriminatorValue_1 = require("./createDeviceAndAppManagementAssignmentTargetFromDiscriminatorValue");
const index_1 = require("./index");
class DeviceConfigurationAssignment extends index_1.Entity {
    /**
     * Instantiates a new deviceConfigurationAssignment and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "target": (o, n) => { o.target = n.getObjectValue(createDeviceAndAppManagementAssignmentTargetFromDiscriminatorValue_1.createDeviceAndAppManagementAssignmentTargetFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("target", this.target);
    }
    ;
    /**
     * Gets the target property value. The assignment target for the device configuration.
     * @returns a deviceAndAppManagementAssignmentTarget
     */
    get target() {
        return this._target;
    }
    ;
    /**
     * Sets the target property value. The assignment target for the device configuration.
     * @param value Value to set for the target property.
     */
    set target(value) {
        this._target = value;
    }
    ;
}
exports.DeviceConfigurationAssignment = DeviceConfigurationAssignment;
