"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceEnrollmentType = void 0;
/** Provides operations to manage the deviceManagement singleton.  */
var DeviceEnrollmentType;
(function (DeviceEnrollmentType) {
    DeviceEnrollmentType["Unknown"] = "unknown";
    DeviceEnrollmentType["UserEnrollment"] = "userEnrollment";
    DeviceEnrollmentType["DeviceEnrollmentManager"] = "deviceEnrollmentManager";
    DeviceEnrollmentType["AppleBulkWithUser"] = "appleBulkWithUser";
    DeviceEnrollmentType["AppleBulkWithoutUser"] = "appleBulkWithoutUser";
    DeviceEnrollmentType["WindowsAzureADJoin"] = "windowsAzureADJoin";
    DeviceEnrollmentType["WindowsBulkUserless"] = "windowsBulkUserless";
    DeviceEnrollmentType["WindowsAutoEnrollment"] = "windowsAutoEnrollment";
    DeviceEnrollmentType["WindowsBulkAzureDomainJoin"] = "windowsBulkAzureDomainJoin";
    DeviceEnrollmentType["WindowsCoManagement"] = "windowsCoManagement";
    DeviceEnrollmentType["WindowsAzureADJoinUsingDeviceAuth"] = "windowsAzureADJoinUsingDeviceAuth";
    DeviceEnrollmentType["AppleUserEnrollment"] = "appleUserEnrollment";
    DeviceEnrollmentType["AppleUserEnrollmentWithServiceAccount"] = "appleUserEnrollmentWithServiceAccount";
})(DeviceEnrollmentType = exports.DeviceEnrollmentType || (exports.DeviceEnrollmentType = {}));
