"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceManagementExchangeAccessStateReason = void 0;
/** Provides operations to manage the deviceManagement singleton.  */
var DeviceManagementExchangeAccessStateReason;
(function (DeviceManagementExchangeAccessStateReason) {
    DeviceManagementExchangeAccessStateReason["None"] = "none";
    DeviceManagementExchangeAccessStateReason["Unknown"] = "unknown";
    DeviceManagementExchangeAccessStateReason["ExchangeGlobalRule"] = "exchangeGlobalRule";
    DeviceManagementExchangeAccessStateReason["ExchangeIndividualRule"] = "exchangeIndividualRule";
    DeviceManagementExchangeAccessStateReason["ExchangeDeviceRule"] = "exchangeDeviceRule";
    DeviceManagementExchangeAccessStateReason["ExchangeUpgrade"] = "exchangeUpgrade";
    DeviceManagementExchangeAccessStateReason["ExchangeMailboxPolicy"] = "exchangeMailboxPolicy";
    DeviceManagementExchangeAccessStateReason["Other"] = "other";
    DeviceManagementExchangeAccessStateReason["Compliant"] = "compliant";
    DeviceManagementExchangeAccessStateReason["NotCompliant"] = "notCompliant";
    DeviceManagementExchangeAccessStateReason["NotEnrolled"] = "notEnrolled";
    DeviceManagementExchangeAccessStateReason["UnknownLocation"] = "unknownLocation";
    DeviceManagementExchangeAccessStateReason["MfaRequired"] = "mfaRequired";
    DeviceManagementExchangeAccessStateReason["AzureADBlockDueToAccessPolicy"] = "azureADBlockDueToAccessPolicy";
    DeviceManagementExchangeAccessStateReason["CompromisedPassword"] = "compromisedPassword";
    DeviceManagementExchangeAccessStateReason["DeviceNotKnownWithManagedApp"] = "deviceNotKnownWithManagedApp";
})(DeviceManagementExchangeAccessStateReason = exports.DeviceManagementExchangeAccessStateReason || (exports.DeviceManagementExchangeAccessStateReason = {}));
