"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceRegistrationState = void 0;
/** Provides operations to manage the deviceManagement singleton.  */
var DeviceRegistrationState;
(function (DeviceRegistrationState) {
    DeviceRegistrationState["NotRegistered"] = "notRegistered";
    DeviceRegistrationState["Registered"] = "registered";
    DeviceRegistrationState["Revoked"] = "revoked";
    DeviceRegistrationState["KeyConflict"] = "keyConflict";
    DeviceRegistrationState["ApprovalPending"] = "approvalPending";
    DeviceRegistrationState["CertificateReset"] = "certificateReset";
    DeviceRegistrationState["NotRegisteredPendingEnrollment"] = "notRegisteredPendingEnrollment";
    DeviceRegistrationState["Unknown"] = "unknown";
})(DeviceRegistrationState = exports.DeviceRegistrationState || (exports.DeviceRegistrationState = {}));
