"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IdentityUserFlow = void 0;
const index_1 = require("./index");
const userFlowType_1 = require("./userFlowType");
class IdentityUserFlow extends index_1.Entity {
    /**
     * Instantiates a new identityUserFlow and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "userFlowType": (o, n) => { o.userFlowType = n.getEnumValue(userFlowType_1.UserFlowType); }, "userFlowTypeVersion": (o, n) => { o.userFlowTypeVersion = n.getNumberValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeEnumValue("userFlowType", this.userFlowType);
        writer.writeNumberValue("userFlowTypeVersion", this.userFlowTypeVersion);
    }
    ;
    /**
     * Gets the userFlowType property value.
     * @returns a userFlowType
     */
    get userFlowType() {
        return this._userFlowType;
    }
    ;
    /**
     * Sets the userFlowType property value.
     * @param value Value to set for the userFlowType property.
     */
    set userFlowType(value) {
        this._userFlowType = value;
    }
    ;
    /**
     * Gets the userFlowTypeVersion property value.
     * @returns a float
     */
    get userFlowTypeVersion() {
        return this._userFlowTypeVersion;
    }
    ;
    /**
     * Sets the userFlowTypeVersion property value.
     * @param value Value to set for the userFlowTypeVersion property.
     */
    set userFlowTypeVersion(value) {
        this._userFlowTypeVersion = value;
    }
    ;
}
exports.IdentityUserFlow = IdentityUserFlow;
