import { Entity, ManagedAppPolicyDeploymentSummaryPerApp } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class ManagedAppPolicyDeploymentSummary extends Entity implements Parsable {
    /** Not yet documented  */
    private _configurationDeployedUserCount?;
    /** Not yet documented  */
    private _configurationDeploymentSummaryPerApp?;
    /** Not yet documented  */
    private _displayName?;
    /** Not yet documented  */
    private _lastRefreshTime?;
    /** Version of the entity.  */
    private _version?;
    /**
     * Gets the configurationDeployedUserCount property value. Not yet documented
     * @returns a integer
     */
    get configurationDeployedUserCount(): number | undefined;
    /**
     * Sets the configurationDeployedUserCount property value. Not yet documented
     * @param value Value to set for the configurationDeployedUserCount property.
     */
    set configurationDeployedUserCount(value: number | undefined);
    /**
     * Gets the configurationDeploymentSummaryPerApp property value. Not yet documented
     * @returns a managedAppPolicyDeploymentSummaryPerApp
     */
    get configurationDeploymentSummaryPerApp(): ManagedAppPolicyDeploymentSummaryPerApp[] | undefined;
    /**
     * Sets the configurationDeploymentSummaryPerApp property value. Not yet documented
     * @param value Value to set for the configurationDeploymentSummaryPerApp property.
     */
    set configurationDeploymentSummaryPerApp(value: ManagedAppPolicyDeploymentSummaryPerApp[] | undefined);
    /**
     * Instantiates a new managedAppPolicyDeploymentSummary and sets the default values.
     */
    constructor();
    /**
     * Gets the displayName property value. Not yet documented
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. Not yet documented
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers<T>(): Record<string, (item: T, node: ParseNode) => void>;
    /**
     * Gets the lastRefreshTime property value. Not yet documented
     * @returns a Date
     */
    get lastRefreshTime(): Date | undefined;
    /**
     * Sets the lastRefreshTime property value. Not yet documented
     * @param value Value to set for the lastRefreshTime property.
     */
    set lastRefreshTime(value: Date | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the version property value. Version of the entity.
     * @returns a string
     */
    get version(): string | undefined;
    /**
     * Sets the version property value. Version of the entity.
     * @param value Value to set for the version property.
     */
    set version(value: string | undefined);
}
