"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OutlookUser = void 0;
const createOutlookCategoryFromDiscriminatorValue_1 = require("./createOutlookCategoryFromDiscriminatorValue");
const index_1 = require("./index");
class OutlookUser extends index_1.Entity {
    /**
     * Instantiates a new outlookUser and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "masterCategories": (o, n) => { o.masterCategories = n.getCollectionOfObjectValues(createOutlookCategoryFromDiscriminatorValue_1.createOutlookCategoryFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the masterCategories property value. A list of categories defined for the user.
     * @returns a outlookCategory
     */
    get masterCategories() {
        return this._masterCategories;
    }
    ;
    /**
     * Sets the masterCategories property value. A list of categories defined for the user.
     * @param value Value to set for the masterCategories property.
     */
    set masterCategories(value) {
        this._masterCategories = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("masterCategories", this.masterCategories);
    }
    ;
}
exports.OutlookUser = OutlookUser;
