"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlannerBucketTaskBoardTaskFormat = void 0;
const index_1 = require("./index");
class PlannerBucketTaskBoardTaskFormat extends index_1.Entity {
    /**
     * Instantiates a new plannerBucketTaskBoardTaskFormat and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "orderHint": (o, n) => { o.orderHint = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the orderHint property value. Hint used to order tasks in the Bucket view of the Task Board. The format is defined as outlined here.
     * @returns a string
     */
    get orderHint() {
        return this._orderHint;
    }
    ;
    /**
     * Sets the orderHint property value. Hint used to order tasks in the Bucket view of the Task Board. The format is defined as outlined here.
     * @param value Value to set for the orderHint property.
     */
    set orderHint(value) {
        this._orderHint = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("orderHint", this.orderHint);
    }
    ;
}
exports.PlannerBucketTaskBoardTaskFormat = PlannerBucketTaskBoardTaskFormat;
