"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlannerCategoryDescriptions = void 0;
class PlannerCategoryDescriptions {
    /**
     * Instantiates a new plannerCategoryDescriptions and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the category1 property value. The label associated with Category 1
     * @returns a string
     */
    get category1() {
        return this._category1;
    }
    ;
    /**
     * Sets the category1 property value. The label associated with Category 1
     * @param value Value to set for the category1 property.
     */
    set category1(value) {
        this._category1 = value;
    }
    ;
    /**
     * Gets the category2 property value. The label associated with Category 2
     * @returns a string
     */
    get category2() {
        return this._category2;
    }
    ;
    /**
     * Sets the category2 property value. The label associated with Category 2
     * @param value Value to set for the category2 property.
     */
    set category2(value) {
        this._category2 = value;
    }
    ;
    /**
     * Gets the category3 property value. The label associated with Category 3
     * @returns a string
     */
    get category3() {
        return this._category3;
    }
    ;
    /**
     * Sets the category3 property value. The label associated with Category 3
     * @param value Value to set for the category3 property.
     */
    set category3(value) {
        this._category3 = value;
    }
    ;
    /**
     * Gets the category4 property value. The label associated with Category 4
     * @returns a string
     */
    get category4() {
        return this._category4;
    }
    ;
    /**
     * Sets the category4 property value. The label associated with Category 4
     * @param value Value to set for the category4 property.
     */
    set category4(value) {
        this._category4 = value;
    }
    ;
    /**
     * Gets the category5 property value. The label associated with Category 5
     * @returns a string
     */
    get category5() {
        return this._category5;
    }
    ;
    /**
     * Sets the category5 property value. The label associated with Category 5
     * @param value Value to set for the category5 property.
     */
    set category5(value) {
        this._category5 = value;
    }
    ;
    /**
     * Gets the category6 property value. The label associated with Category 6
     * @returns a string
     */
    get category6() {
        return this._category6;
    }
    ;
    /**
     * Sets the category6 property value. The label associated with Category 6
     * @param value Value to set for the category6 property.
     */
    set category6(value) {
        this._category6 = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "category1": (o, n) => { o.category1 = n.getStringValue(); },
            "category2": (o, n) => { o.category2 = n.getStringValue(); },
            "category3": (o, n) => { o.category3 = n.getStringValue(); },
            "category4": (o, n) => { o.category4 = n.getStringValue(); },
            "category5": (o, n) => { o.category5 = n.getStringValue(); },
            "category6": (o, n) => { o.category6 = n.getStringValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("category1", this.category1);
        writer.writeStringValue("category2", this.category2);
        writer.writeStringValue("category3", this.category3);
        writer.writeStringValue("category4", this.category4);
        writer.writeStringValue("category5", this.category5);
        writer.writeStringValue("category6", this.category6);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.PlannerCategoryDescriptions = PlannerCategoryDescriptions;
