"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProvisioningSystem = void 0;
const createDetailsInfoFromDiscriminatorValue_1 = require("./createDetailsInfoFromDiscriminatorValue");
const index_1 = require("./index");
class ProvisioningSystem extends index_1.Identity {
    /**
     * Instantiates a new provisioningSystem and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the details property value. Details of the system.
     * @returns a detailsInfo
     */
    get details() {
        return this._details;
    }
    ;
    /**
     * Sets the details property value. Details of the system.
     * @param value Value to set for the details property.
     */
    set details(value) {
        this._details = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "details": (o, n) => { o.details = n.getObjectValue(createDetailsInfoFromDiscriminatorValue_1.createDetailsInfoFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("details", this.details);
    }
    ;
}
exports.ProvisioningSystem = ProvisioningSystem;
