"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReportRoot = void 0;
const createPrintUsageByPrinterFromDiscriminatorValue_1 = require("./createPrintUsageByPrinterFromDiscriminatorValue");
const createPrintUsageByUserFromDiscriminatorValue_1 = require("./createPrintUsageByUserFromDiscriminatorValue");
const index_1 = require("./index");
/** The resource that represents an instance of Enrollment Failure Reports.  */
class ReportRoot extends index_1.Entity {
    /**
     * Instantiates a new reportRoot and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the dailyPrintUsageByPrinter property value.
     * @returns a printUsageByPrinter
     */
    get dailyPrintUsageByPrinter() {
        return this._dailyPrintUsageByPrinter;
    }
    ;
    /**
     * Sets the dailyPrintUsageByPrinter property value.
     * @param value Value to set for the dailyPrintUsageByPrinter property.
     */
    set dailyPrintUsageByPrinter(value) {
        this._dailyPrintUsageByPrinter = value;
    }
    ;
    /**
     * Gets the dailyPrintUsageByUser property value.
     * @returns a printUsageByUser
     */
    get dailyPrintUsageByUser() {
        return this._dailyPrintUsageByUser;
    }
    ;
    /**
     * Sets the dailyPrintUsageByUser property value.
     * @param value Value to set for the dailyPrintUsageByUser property.
     */
    set dailyPrintUsageByUser(value) {
        this._dailyPrintUsageByUser = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "dailyPrintUsageByPrinter": (o, n) => { o.dailyPrintUsageByPrinter = n.getCollectionOfObjectValues(createPrintUsageByPrinterFromDiscriminatorValue_1.createPrintUsageByPrinterFromDiscriminatorValue); }, "dailyPrintUsageByUser": (o, n) => { o.dailyPrintUsageByUser = n.getCollectionOfObjectValues(createPrintUsageByUserFromDiscriminatorValue_1.createPrintUsageByUserFromDiscriminatorValue); }, "monthlyPrintUsageByPrinter": (o, n) => { o.monthlyPrintUsageByPrinter = n.getCollectionOfObjectValues(createPrintUsageByPrinterFromDiscriminatorValue_1.createPrintUsageByPrinterFromDiscriminatorValue); }, "monthlyPrintUsageByUser": (o, n) => { o.monthlyPrintUsageByUser = n.getCollectionOfObjectValues(createPrintUsageByUserFromDiscriminatorValue_1.createPrintUsageByUserFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the monthlyPrintUsageByPrinter property value.
     * @returns a printUsageByPrinter
     */
    get monthlyPrintUsageByPrinter() {
        return this._monthlyPrintUsageByPrinter;
    }
    ;
    /**
     * Sets the monthlyPrintUsageByPrinter property value.
     * @param value Value to set for the monthlyPrintUsageByPrinter property.
     */
    set monthlyPrintUsageByPrinter(value) {
        this._monthlyPrintUsageByPrinter = value;
    }
    ;
    /**
     * Gets the monthlyPrintUsageByUser property value.
     * @returns a printUsageByUser
     */
    get monthlyPrintUsageByUser() {
        return this._monthlyPrintUsageByUser;
    }
    ;
    /**
     * Sets the monthlyPrintUsageByUser property value.
     * @param value Value to set for the monthlyPrintUsageByUser property.
     */
    set monthlyPrintUsageByUser(value) {
        this._monthlyPrintUsageByUser = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("dailyPrintUsageByPrinter", this.dailyPrintUsageByPrinter);
        writer.writeCollectionOfObjectValues("dailyPrintUsageByUser", this.dailyPrintUsageByUser);
        writer.writeCollectionOfObjectValues("monthlyPrintUsageByPrinter", this.monthlyPrintUsageByPrinter);
        writer.writeCollectionOfObjectValues("monthlyPrintUsageByUser", this.monthlyPrintUsageByUser);
    }
    ;
}
exports.ReportRoot = ReportRoot;
