import { SignIn } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class RestrictedSignIn extends SignIn implements Parsable {
    private _targetTenantId?;
    /**
     * Instantiates a new restrictedSignIn and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers<T>(): Record<string, (item: T, node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the targetTenantId property value.
     * @returns a string
     */
    get targetTenantId(): string | undefined;
    /**
     * Sets the targetTenantId property value.
     * @param value Value to set for the targetTenantId property.
     */
    set targetTenantId(value: string | undefined);
}
