"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SearchEntity = void 0;
const index_1 = require("./index");
/** Provides operations to manage the searchEntity singleton.  */
class SearchEntity extends index_1.Entity {
    /**
     * Instantiates a new searchEntity and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign({}, super.getFieldDeserializers());
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
    }
    ;
}
exports.SearchEntity = SearchEntity;
