"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TimeOffItem = void 0;
const index_1 = require("./index");
class TimeOffItem extends index_1.ScheduleEntity {
    /**
     * Instantiates a new timeOffItem and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "timeOffReasonId": (o, n) => { o.timeOffReasonId = n.getStringValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("timeOffReasonId", this.timeOffReasonId);
    }
    ;
    /**
     * Gets the timeOffReasonId property value. ID of the timeOffReason for this timeOffItem. Required.
     * @returns a string
     */
    get timeOffReasonId() {
        return this._timeOffReasonId;
    }
    ;
    /**
     * Sets the timeOffReasonId property value. ID of the timeOffReason for this timeOffItem. Required.
     * @param value Value to set for the timeOffReasonId property.
     */
    set timeOffReasonId(value) {
        this._timeOffReasonId = value;
    }
    ;
}
exports.TimeOffItem = TimeOffItem;
