import { WindowsDeviceAccount } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class UpdateWindowsDeviceAccountActionParameter implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.  */
    private _additionalData;
    /** Not yet documented  */
    private _calendarSyncEnabled?;
    /** Not yet documented  */
    private _deviceAccount?;
    /** Not yet documented  */
    private _deviceAccountEmail?;
    /** Not yet documented  */
    private _exchangeServer?;
    /** Not yet documented  */
    private _passwordRotationEnabled?;
    /** Not yet documented  */
    private _sessionInitiationProtocalAddress?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the calendarSyncEnabled property value. Not yet documented
     * @returns a boolean
     */
    get calendarSyncEnabled(): boolean | undefined;
    /**
     * Sets the calendarSyncEnabled property value. Not yet documented
     * @param value Value to set for the calendarSyncEnabled property.
     */
    set calendarSyncEnabled(value: boolean | undefined);
    /**
     * Instantiates a new updateWindowsDeviceAccountActionParameter and sets the default values.
     */
    constructor();
    /**
     * Gets the deviceAccount property value. Not yet documented
     * @returns a windowsDeviceAccount
     */
    get deviceAccount(): WindowsDeviceAccount | undefined;
    /**
     * Sets the deviceAccount property value. Not yet documented
     * @param value Value to set for the deviceAccount property.
     */
    set deviceAccount(value: WindowsDeviceAccount | undefined);
    /**
     * Gets the deviceAccountEmail property value. Not yet documented
     * @returns a string
     */
    get deviceAccountEmail(): string | undefined;
    /**
     * Sets the deviceAccountEmail property value. Not yet documented
     * @param value Value to set for the deviceAccountEmail property.
     */
    set deviceAccountEmail(value: string | undefined);
    /**
     * Gets the exchangeServer property value. Not yet documented
     * @returns a string
     */
    get exchangeServer(): string | undefined;
    /**
     * Sets the exchangeServer property value. Not yet documented
     * @param value Value to set for the exchangeServer property.
     */
    set exchangeServer(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers<T>(): Record<string, (item: T, node: ParseNode) => void>;
    /**
     * Gets the passwordRotationEnabled property value. Not yet documented
     * @returns a boolean
     */
    get passwordRotationEnabled(): boolean | undefined;
    /**
     * Sets the passwordRotationEnabled property value. Not yet documented
     * @param value Value to set for the passwordRotationEnabled property.
     */
    set passwordRotationEnabled(value: boolean | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the sessionInitiationProtocalAddress property value. Not yet documented
     * @returns a string
     */
    get sessionInitiationProtocalAddress(): string | undefined;
    /**
     * Sets the sessionInitiationProtocalAddress property value. Not yet documented
     * @param value Value to set for the sessionInitiationProtocalAddress property.
     */
    set sessionInitiationProtocalAddress(value: string | undefined);
}
