"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserTeamwork = void 0;
const createUserScopeTeamsAppInstallationFromDiscriminatorValue_1 = require("./createUserScopeTeamsAppInstallationFromDiscriminatorValue");
const index_1 = require("./index");
class UserTeamwork extends index_1.Entity {
    /**
     * Instantiates a new userTeamwork and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "installedApps": (o, n) => { o.installedApps = n.getCollectionOfObjectValues(createUserScopeTeamsAppInstallationFromDiscriminatorValue_1.createUserScopeTeamsAppInstallationFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the installedApps property value. The apps installed in the personal scope of this user.
     * @returns a userScopeTeamsAppInstallation
     */
    get installedApps() {
        return this._installedApps;
    }
    ;
    /**
     * Sets the installedApps property value. The apps installed in the personal scope of this user.
     * @param value Value to set for the installedApps property.
     */
    set installedApps(value) {
        this._installedApps = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("installedApps", this.installedApps);
    }
    ;
}
exports.UserTeamwork = UserTeamwork;
