import { Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class WindowsInformationProtectionNetworkLearningSummary extends Entity implements Parsable {
    /** Device Count  */
    private _deviceCount?;
    /** Website url  */
    private _url?;
    /**
     * Instantiates a new windowsInformationProtectionNetworkLearningSummary and sets the default values.
     */
    constructor();
    /**
     * Gets the deviceCount property value. Device Count
     * @returns a integer
     */
    get deviceCount(): number | undefined;
    /**
     * Sets the deviceCount property value. Device Count
     * @param value Value to set for the deviceCount property.
     */
    set deviceCount(value: number | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers<T>(): Record<string, (item: T, node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the url property value. Website url
     * @returns a string
     */
    get url(): string | undefined;
    /**
     * Sets the url property value. Website url
     * @param value Value to set for the url property.
     */
    set url(value: string | undefined);
}
