"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkbookApplication = void 0;
const index_1 = require("./index");
class WorkbookApplication extends index_1.Entity {
    /**
     * Instantiates a new workbookApplication and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the calculationMode property value. Returns the calculation mode used in the workbook. Possible values are: Automatic, AutomaticExceptTables, Manual.
     * @returns a string
     */
    get calculationMode() {
        return this._calculationMode;
    }
    ;
    /**
     * Sets the calculationMode property value. Returns the calculation mode used in the workbook. Possible values are: Automatic, AutomaticExceptTables, Manual.
     * @param value Value to set for the calculationMode property.
     */
    set calculationMode(value) {
        this._calculationMode = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "calculationMode": (o, n) => { o.calculationMode = n.getStringValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("calculationMode", this.calculationMode);
    }
    ;
}
exports.WorkbookApplication = WorkbookApplication;
