"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkbookCommentReply = void 0;
const index_1 = require("./index");
class WorkbookCommentReply extends index_1.Entity {
    /**
     * Instantiates a new workbookCommentReply and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the content property value. The content of a comment reply.
     * @returns a string
     */
    get content() {
        return this._content;
    }
    ;
    /**
     * Sets the content property value. The content of a comment reply.
     * @param value Value to set for the content property.
     */
    set content(value) {
        this._content = value;
    }
    ;
    /**
     * Gets the contentType property value. Indicates the type for the comment reply.
     * @returns a string
     */
    get contentType() {
        return this._contentType;
    }
    ;
    /**
     * Sets the contentType property value. Indicates the type for the comment reply.
     * @param value Value to set for the contentType property.
     */
    set contentType(value) {
        this._contentType = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "content": (o, n) => { o.content = n.getStringValue(); }, "contentType": (o, n) => { o.contentType = n.getStringValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("content", this.content);
        writer.writeStringValue("contentType", this.contentType);
    }
    ;
}
exports.WorkbookCommentReply = WorkbookCommentReply;
