import { ReportRoot } from '../models/microsoft/graph/';
import { DailyPrintUsageByPrinterRequestBuilder } from './dailyPrintUsageByPrinter/dailyPrintUsageByPrinterRequestBuilder';
import { PrintUsageByPrinterItemRequestBuilder as iafab10717cb5833856b686ca073f6155a6d5c8d00c99ea4472c1643b1eb10401 } from './dailyPrintUsageByPrinter/item/printUsageByPrinterItemRequestBuilder';
import { DailyPrintUsageByUserRequestBuilder } from './dailyPrintUsageByUser/dailyPrintUsageByUserRequestBuilder';
import { PrintUsageByUserItemRequestBuilder as i0b2d59ab3f36da4896152d94b03e0a424f89cb680045ac818df7fb6cc23e153c } from './dailyPrintUsageByUser/item/printUsageByUserItemRequestBuilder';
import { DeviceConfigurationDeviceActivityRequestBuilder } from './deviceConfigurationDeviceActivity/deviceConfigurationDeviceActivityRequestBuilder';
import { DeviceConfigurationUserActivityRequestBuilder } from './deviceConfigurationUserActivity/deviceConfigurationUserActivityRequestBuilder';
import { GetEmailActivityCountsWithPeriodRequestBuilder } from './getEmailActivityCountsWithPeriod/getEmailActivityCountsWithPeriodRequestBuilder';
import { GetEmailActivityUserCountsWithPeriodRequestBuilder } from './getEmailActivityUserCountsWithPeriod/getEmailActivityUserCountsWithPeriodRequestBuilder';
import { GetEmailActivityUserDetailWithDateRequestBuilder } from './getEmailActivityUserDetailWithDate/getEmailActivityUserDetailWithDateRequestBuilder';
import { GetEmailActivityUserDetailWithPeriodRequestBuilder } from './getEmailActivityUserDetailWithPeriod/getEmailActivityUserDetailWithPeriodRequestBuilder';
import { GetEmailAppUsageAppsUserCountsWithPeriodRequestBuilder } from './getEmailAppUsageAppsUserCountsWithPeriod/getEmailAppUsageAppsUserCountsWithPeriodRequestBuilder';
import { GetEmailAppUsageUserCountsWithPeriodRequestBuilder } from './getEmailAppUsageUserCountsWithPeriod/getEmailAppUsageUserCountsWithPeriodRequestBuilder';
import { GetEmailAppUsageUserDetailWithDateRequestBuilder } from './getEmailAppUsageUserDetailWithDate/getEmailAppUsageUserDetailWithDateRequestBuilder';
import { GetEmailAppUsageUserDetailWithPeriodRequestBuilder } from './getEmailAppUsageUserDetailWithPeriod/getEmailAppUsageUserDetailWithPeriodRequestBuilder';
import { GetEmailAppUsageVersionsUserCountsWithPeriodRequestBuilder } from './getEmailAppUsageVersionsUserCountsWithPeriod/getEmailAppUsageVersionsUserCountsWithPeriodRequestBuilder';
import { GetGroupArchivedPrintJobsWithGroupIdWithStartDateTimeWithEndDateTimeRequestBuilder } from './getGroupArchivedPrintJobsWithGroupIdWithStartDateTimeWithEndDateTime/getGroupArchivedPrintJobsWithGroupIdWithStartDateTimeWithEndDateTimeRequestBuilder';
import { GetMailboxUsageDetailWithPeriodRequestBuilder } from './getMailboxUsageDetailWithPeriod/getMailboxUsageDetailWithPeriodRequestBuilder';
import { GetMailboxUsageMailboxCountsWithPeriodRequestBuilder } from './getMailboxUsageMailboxCountsWithPeriod/getMailboxUsageMailboxCountsWithPeriodRequestBuilder';
import { GetMailboxUsageQuotaStatusMailboxCountsWithPeriodRequestBuilder } from './getMailboxUsageQuotaStatusMailboxCountsWithPeriod/getMailboxUsageQuotaStatusMailboxCountsWithPeriodRequestBuilder';
import { GetMailboxUsageStorageWithPeriodRequestBuilder } from './getMailboxUsageStorageWithPeriod/getMailboxUsageStorageWithPeriodRequestBuilder';
import { GetOffice365ActivationCountsRequestBuilder } from './getOffice365ActivationCounts/getOffice365ActivationCountsRequestBuilder';
import { GetOffice365ActivationsUserCountsRequestBuilder } from './getOffice365ActivationsUserCounts/getOffice365ActivationsUserCountsRequestBuilder';
import { GetOffice365ActivationsUserDetailRequestBuilder } from './getOffice365ActivationsUserDetail/getOffice365ActivationsUserDetailRequestBuilder';
import { GetOffice365ActiveUserCountsWithPeriodRequestBuilder } from './getOffice365ActiveUserCountsWithPeriod/getOffice365ActiveUserCountsWithPeriodRequestBuilder';
import { GetOffice365ActiveUserDetailWithDateRequestBuilder } from './getOffice365ActiveUserDetailWithDate/getOffice365ActiveUserDetailWithDateRequestBuilder';
import { GetOffice365ActiveUserDetailWithPeriodRequestBuilder } from './getOffice365ActiveUserDetailWithPeriod/getOffice365ActiveUserDetailWithPeriodRequestBuilder';
import { GetOffice365GroupsActivityCountsWithPeriodRequestBuilder } from './getOffice365GroupsActivityCountsWithPeriod/getOffice365GroupsActivityCountsWithPeriodRequestBuilder';
import { GetOffice365GroupsActivityDetailWithDateRequestBuilder } from './getOffice365GroupsActivityDetailWithDate/getOffice365GroupsActivityDetailWithDateRequestBuilder';
import { GetOffice365GroupsActivityDetailWithPeriodRequestBuilder } from './getOffice365GroupsActivityDetailWithPeriod/getOffice365GroupsActivityDetailWithPeriodRequestBuilder';
import { GetOffice365GroupsActivityFileCountsWithPeriodRequestBuilder } from './getOffice365GroupsActivityFileCountsWithPeriod/getOffice365GroupsActivityFileCountsWithPeriodRequestBuilder';
import { GetOffice365GroupsActivityGroupCountsWithPeriodRequestBuilder } from './getOffice365GroupsActivityGroupCountsWithPeriod/getOffice365GroupsActivityGroupCountsWithPeriodRequestBuilder';
import { GetOffice365GroupsActivityStorageWithPeriodRequestBuilder } from './getOffice365GroupsActivityStorageWithPeriod/getOffice365GroupsActivityStorageWithPeriodRequestBuilder';
import { GetOffice365ServicesUserCountsWithPeriodRequestBuilder } from './getOffice365ServicesUserCountsWithPeriod/getOffice365ServicesUserCountsWithPeriodRequestBuilder';
import { GetOneDriveActivityFileCountsWithPeriodRequestBuilder } from './getOneDriveActivityFileCountsWithPeriod/getOneDriveActivityFileCountsWithPeriodRequestBuilder';
import { GetOneDriveActivityUserCountsWithPeriodRequestBuilder } from './getOneDriveActivityUserCountsWithPeriod/getOneDriveActivityUserCountsWithPeriodRequestBuilder';
import { GetOneDriveActivityUserDetailWithDateRequestBuilder } from './getOneDriveActivityUserDetailWithDate/getOneDriveActivityUserDetailWithDateRequestBuilder';
import { GetOneDriveActivityUserDetailWithPeriodRequestBuilder } from './getOneDriveActivityUserDetailWithPeriod/getOneDriveActivityUserDetailWithPeriodRequestBuilder';
import { GetOneDriveUsageAccountCountsWithPeriodRequestBuilder } from './getOneDriveUsageAccountCountsWithPeriod/getOneDriveUsageAccountCountsWithPeriodRequestBuilder';
import { GetOneDriveUsageAccountDetailWithDateRequestBuilder } from './getOneDriveUsageAccountDetailWithDate/getOneDriveUsageAccountDetailWithDateRequestBuilder';
import { GetOneDriveUsageAccountDetailWithPeriodRequestBuilder } from './getOneDriveUsageAccountDetailWithPeriod/getOneDriveUsageAccountDetailWithPeriodRequestBuilder';
import { GetOneDriveUsageFileCountsWithPeriodRequestBuilder } from './getOneDriveUsageFileCountsWithPeriod/getOneDriveUsageFileCountsWithPeriodRequestBuilder';
import { GetOneDriveUsageStorageWithPeriodRequestBuilder } from './getOneDriveUsageStorageWithPeriod/getOneDriveUsageStorageWithPeriodRequestBuilder';
import { GetPrinterArchivedPrintJobsWithPrinterIdWithStartDateTimeWithEndDateTimeRequestBuilder } from './getPrinterArchivedPrintJobsWithPrinterIdWithStartDateTimeWithEndDateTime/getPrinterArchivedPrintJobsWithPrinterIdWithStartDateTimeWithEndDateTimeRequestBuilder';
import { GetSharePointActivityFileCountsWithPeriodRequestBuilder } from './getSharePointActivityFileCountsWithPeriod/getSharePointActivityFileCountsWithPeriodRequestBuilder';
import { GetSharePointActivityPagesWithPeriodRequestBuilder } from './getSharePointActivityPagesWithPeriod/getSharePointActivityPagesWithPeriodRequestBuilder';
import { GetSharePointActivityUserCountsWithPeriodRequestBuilder } from './getSharePointActivityUserCountsWithPeriod/getSharePointActivityUserCountsWithPeriodRequestBuilder';
import { GetSharePointActivityUserDetailWithDateRequestBuilder } from './getSharePointActivityUserDetailWithDate/getSharePointActivityUserDetailWithDateRequestBuilder';
import { GetSharePointActivityUserDetailWithPeriodRequestBuilder } from './getSharePointActivityUserDetailWithPeriod/getSharePointActivityUserDetailWithPeriodRequestBuilder';
import { GetSharePointSiteUsageDetailWithDateRequestBuilder } from './getSharePointSiteUsageDetailWithDate/getSharePointSiteUsageDetailWithDateRequestBuilder';
import { GetSharePointSiteUsageDetailWithPeriodRequestBuilder } from './getSharePointSiteUsageDetailWithPeriod/getSharePointSiteUsageDetailWithPeriodRequestBuilder';
import { GetSharePointSiteUsageFileCountsWithPeriodRequestBuilder } from './getSharePointSiteUsageFileCountsWithPeriod/getSharePointSiteUsageFileCountsWithPeriodRequestBuilder';
import { GetSharePointSiteUsagePagesWithPeriodRequestBuilder } from './getSharePointSiteUsagePagesWithPeriod/getSharePointSiteUsagePagesWithPeriodRequestBuilder';
import { GetSharePointSiteUsageSiteCountsWithPeriodRequestBuilder } from './getSharePointSiteUsageSiteCountsWithPeriod/getSharePointSiteUsageSiteCountsWithPeriodRequestBuilder';
import { GetSharePointSiteUsageStorageWithPeriodRequestBuilder } from './getSharePointSiteUsageStorageWithPeriod/getSharePointSiteUsageStorageWithPeriodRequestBuilder';
import { GetSkypeForBusinessActivityCountsWithPeriodRequestBuilder } from './getSkypeForBusinessActivityCountsWithPeriod/getSkypeForBusinessActivityCountsWithPeriodRequestBuilder';
import { GetSkypeForBusinessActivityUserCountsWithPeriodRequestBuilder } from './getSkypeForBusinessActivityUserCountsWithPeriod/getSkypeForBusinessActivityUserCountsWithPeriodRequestBuilder';
import { GetSkypeForBusinessActivityUserDetailWithDateRequestBuilder } from './getSkypeForBusinessActivityUserDetailWithDate/getSkypeForBusinessActivityUserDetailWithDateRequestBuilder';
import { GetSkypeForBusinessActivityUserDetailWithPeriodRequestBuilder } from './getSkypeForBusinessActivityUserDetailWithPeriod/getSkypeForBusinessActivityUserDetailWithPeriodRequestBuilder';
import { GetSkypeForBusinessDeviceUsageDistributionUserCountsWithPeriodRequestBuilder } from './getSkypeForBusinessDeviceUsageDistributionUserCountsWithPeriod/getSkypeForBusinessDeviceUsageDistributionUserCountsWithPeriodRequestBuilder';
import { GetSkypeForBusinessDeviceUsageUserCountsWithPeriodRequestBuilder } from './getSkypeForBusinessDeviceUsageUserCountsWithPeriod/getSkypeForBusinessDeviceUsageUserCountsWithPeriodRequestBuilder';
import { GetSkypeForBusinessDeviceUsageUserDetailWithDateRequestBuilder } from './getSkypeForBusinessDeviceUsageUserDetailWithDate/getSkypeForBusinessDeviceUsageUserDetailWithDateRequestBuilder';
import { GetSkypeForBusinessDeviceUsageUserDetailWithPeriodRequestBuilder } from './getSkypeForBusinessDeviceUsageUserDetailWithPeriod/getSkypeForBusinessDeviceUsageUserDetailWithPeriodRequestBuilder';
import { GetSkypeForBusinessOrganizerActivityCountsWithPeriodRequestBuilder } from './getSkypeForBusinessOrganizerActivityCountsWithPeriod/getSkypeForBusinessOrganizerActivityCountsWithPeriodRequestBuilder';
import { GetSkypeForBusinessOrganizerActivityMinuteCountsWithPeriodRequestBuilder } from './getSkypeForBusinessOrganizerActivityMinuteCountsWithPeriod/getSkypeForBusinessOrganizerActivityMinuteCountsWithPeriodRequestBuilder';
import { GetSkypeForBusinessOrganizerActivityUserCountsWithPeriodRequestBuilder } from './getSkypeForBusinessOrganizerActivityUserCountsWithPeriod/getSkypeForBusinessOrganizerActivityUserCountsWithPeriodRequestBuilder';
import { GetSkypeForBusinessParticipantActivityCountsWithPeriodRequestBuilder } from './getSkypeForBusinessParticipantActivityCountsWithPeriod/getSkypeForBusinessParticipantActivityCountsWithPeriodRequestBuilder';
import { GetSkypeForBusinessParticipantActivityMinuteCountsWithPeriodRequestBuilder } from './getSkypeForBusinessParticipantActivityMinuteCountsWithPeriod/getSkypeForBusinessParticipantActivityMinuteCountsWithPeriodRequestBuilder';
import { GetSkypeForBusinessParticipantActivityUserCountsWithPeriodRequestBuilder } from './getSkypeForBusinessParticipantActivityUserCountsWithPeriod/getSkypeForBusinessParticipantActivityUserCountsWithPeriodRequestBuilder';
import { GetSkypeForBusinessPeerToPeerActivityCountsWithPeriodRequestBuilder } from './getSkypeForBusinessPeerToPeerActivityCountsWithPeriod/getSkypeForBusinessPeerToPeerActivityCountsWithPeriodRequestBuilder';
import { GetSkypeForBusinessPeerToPeerActivityMinuteCountsWithPeriodRequestBuilder } from './getSkypeForBusinessPeerToPeerActivityMinuteCountsWithPeriod/getSkypeForBusinessPeerToPeerActivityMinuteCountsWithPeriodRequestBuilder';
import { GetSkypeForBusinessPeerToPeerActivityUserCountsWithPeriodRequestBuilder } from './getSkypeForBusinessPeerToPeerActivityUserCountsWithPeriod/getSkypeForBusinessPeerToPeerActivityUserCountsWithPeriodRequestBuilder';
import { GetTeamsDeviceUsageDistributionUserCountsWithPeriodRequestBuilder } from './getTeamsDeviceUsageDistributionUserCountsWithPeriod/getTeamsDeviceUsageDistributionUserCountsWithPeriodRequestBuilder';
import { GetTeamsDeviceUsageUserCountsWithPeriodRequestBuilder } from './getTeamsDeviceUsageUserCountsWithPeriod/getTeamsDeviceUsageUserCountsWithPeriodRequestBuilder';
import { GetTeamsDeviceUsageUserDetailWithDateRequestBuilder } from './getTeamsDeviceUsageUserDetailWithDate/getTeamsDeviceUsageUserDetailWithDateRequestBuilder';
import { GetTeamsDeviceUsageUserDetailWithPeriodRequestBuilder } from './getTeamsDeviceUsageUserDetailWithPeriod/getTeamsDeviceUsageUserDetailWithPeriodRequestBuilder';
import { GetTeamsUserActivityCountsWithPeriodRequestBuilder } from './getTeamsUserActivityCountsWithPeriod/getTeamsUserActivityCountsWithPeriodRequestBuilder';
import { GetTeamsUserActivityUserCountsWithPeriodRequestBuilder } from './getTeamsUserActivityUserCountsWithPeriod/getTeamsUserActivityUserCountsWithPeriodRequestBuilder';
import { GetTeamsUserActivityUserDetailWithDateRequestBuilder } from './getTeamsUserActivityUserDetailWithDate/getTeamsUserActivityUserDetailWithDateRequestBuilder';
import { GetTeamsUserActivityUserDetailWithPeriodRequestBuilder } from './getTeamsUserActivityUserDetailWithPeriod/getTeamsUserActivityUserDetailWithPeriodRequestBuilder';
import { GetUserArchivedPrintJobsWithUserIdWithStartDateTimeWithEndDateTimeRequestBuilder } from './getUserArchivedPrintJobsWithUserIdWithStartDateTimeWithEndDateTime/getUserArchivedPrintJobsWithUserIdWithStartDateTimeWithEndDateTimeRequestBuilder';
import { GetYammerActivityCountsWithPeriodRequestBuilder } from './getYammerActivityCountsWithPeriod/getYammerActivityCountsWithPeriodRequestBuilder';
import { GetYammerActivityUserCountsWithPeriodRequestBuilder } from './getYammerActivityUserCountsWithPeriod/getYammerActivityUserCountsWithPeriodRequestBuilder';
import { GetYammerActivityUserDetailWithDateRequestBuilder } from './getYammerActivityUserDetailWithDate/getYammerActivityUserDetailWithDateRequestBuilder';
import { GetYammerActivityUserDetailWithPeriodRequestBuilder } from './getYammerActivityUserDetailWithPeriod/getYammerActivityUserDetailWithPeriodRequestBuilder';
import { GetYammerDeviceUsageDistributionUserCountsWithPeriodRequestBuilder } from './getYammerDeviceUsageDistributionUserCountsWithPeriod/getYammerDeviceUsageDistributionUserCountsWithPeriodRequestBuilder';
import { GetYammerDeviceUsageUserCountsWithPeriodRequestBuilder } from './getYammerDeviceUsageUserCountsWithPeriod/getYammerDeviceUsageUserCountsWithPeriodRequestBuilder';
import { GetYammerDeviceUsageUserDetailWithDateRequestBuilder } from './getYammerDeviceUsageUserDetailWithDate/getYammerDeviceUsageUserDetailWithDateRequestBuilder';
import { GetYammerDeviceUsageUserDetailWithPeriodRequestBuilder } from './getYammerDeviceUsageUserDetailWithPeriod/getYammerDeviceUsageUserDetailWithPeriodRequestBuilder';
import { GetYammerGroupsActivityCountsWithPeriodRequestBuilder } from './getYammerGroupsActivityCountsWithPeriod/getYammerGroupsActivityCountsWithPeriodRequestBuilder';
import { GetYammerGroupsActivityDetailWithDateRequestBuilder } from './getYammerGroupsActivityDetailWithDate/getYammerGroupsActivityDetailWithDateRequestBuilder';
import { GetYammerGroupsActivityDetailWithPeriodRequestBuilder } from './getYammerGroupsActivityDetailWithPeriod/getYammerGroupsActivityDetailWithPeriodRequestBuilder';
import { GetYammerGroupsActivityGroupCountsWithPeriodRequestBuilder } from './getYammerGroupsActivityGroupCountsWithPeriod/getYammerGroupsActivityGroupCountsWithPeriodRequestBuilder';
import { ManagedDeviceEnrollmentFailureDetailsRequestBuilder } from './managedDeviceEnrollmentFailureDetails/managedDeviceEnrollmentFailureDetailsRequestBuilder';
import { ManagedDeviceEnrollmentFailureDetailsWithSkipWithTopWithFilterWithSkipTokenRequestBuilder } from './managedDeviceEnrollmentFailureDetailsWithSkipWithTopWithFilterWithSkipToken/managedDeviceEnrollmentFailureDetailsWithSkipWithTopWithFilterWithSkipTokenRequestBuilder';
import { ManagedDeviceEnrollmentTopFailuresRequestBuilder } from './managedDeviceEnrollmentTopFailures/managedDeviceEnrollmentTopFailuresRequestBuilder';
import { ManagedDeviceEnrollmentTopFailuresWithPeriodRequestBuilder } from './managedDeviceEnrollmentTopFailuresWithPeriod/managedDeviceEnrollmentTopFailuresWithPeriodRequestBuilder';
import { PrintUsageByPrinterItemRequestBuilder as iaccf0da2bb94f1672a9d4b50cb59ac46c2636af941878f04ccda835b4e6bc6df } from './monthlyPrintUsageByPrinter/item/printUsageByPrinterItemRequestBuilder';
import { MonthlyPrintUsageByPrinterRequestBuilder } from './monthlyPrintUsageByPrinter/monthlyPrintUsageByPrinterRequestBuilder';
import { PrintUsageByUserItemRequestBuilder as i01dcdbc56e5bbfc103a10dadf48ed650311b2b37a8a04c85ddabbe6c031fcb3e } from './monthlyPrintUsageByUser/item/printUsageByUserItemRequestBuilder';
import { MonthlyPrintUsageByUserRequestBuilder } from './monthlyPrintUsageByUser/monthlyPrintUsageByUserRequestBuilder';
import { DateOnly, RequestAdapter, RequestInformation, RequestOption, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the reportRoot singleton.  */
export declare class ReportsRequestBuilder {
    get dailyPrintUsageByPrinter(): DailyPrintUsageByPrinterRequestBuilder;
    get dailyPrintUsageByUser(): DailyPrintUsageByUserRequestBuilder;
    get monthlyPrintUsageByPrinter(): MonthlyPrintUsageByPrinterRequestBuilder;
    get monthlyPrintUsageByUser(): MonthlyPrintUsageByUserRequestBuilder;
    /** Path parameters for the request  */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests.  */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder  */
    private readonly urlTemplate;
    /**
     * Instantiates a new ReportsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get reports
     * @param h Request headers
     * @param o Request options
     * @param q Request query parameters
     * @returns a RequestInformation
     */
    createGetRequestInformation(q?: {
        expand?: string[];
        select?: string[];
    } | undefined, h?: Record<string, string> | undefined, o?: RequestOption[] | undefined): RequestInformation;
    /**
     * Update reports
     * @param body
     * @param h Request headers
     * @param o Request options
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: ReportRoot | undefined, h?: Record<string, string> | undefined, o?: RequestOption[] | undefined): RequestInformation;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.reports.dailyPrintUsageByPrinter.item collection
     * @param id Unique identifier of the item
     * @returns a printUsageByPrinterItemRequestBuilder
     */
    dailyPrintUsageByPrinterById(id: string): iafab10717cb5833856b686ca073f6155a6d5c8d00c99ea4472c1643b1eb10401;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.reports.dailyPrintUsageByUser.item collection
     * @param id Unique identifier of the item
     * @returns a printUsageByUserItemRequestBuilder
     */
    dailyPrintUsageByUserById(id: string): i0b2d59ab3f36da4896152d94b03e0a424f89cb680045ac818df7fb6cc23e153c;
    /**
     * Provides operations to call the deviceConfigurationDeviceActivity method.
     * @returns a deviceConfigurationDeviceActivityRequestBuilder
     */
    deviceConfigurationDeviceActivity(): DeviceConfigurationDeviceActivityRequestBuilder;
    /**
     * Provides operations to call the deviceConfigurationUserActivity method.
     * @returns a deviceConfigurationUserActivityRequestBuilder
     */
    deviceConfigurationUserActivity(): DeviceConfigurationUserActivityRequestBuilder;
    /**
     * Get reports
     * @param h Request headers
     * @param o Request options
     * @param q Request query parameters
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of ReportRoot
     */
    get(q?: {
        expand?: string[];
        select?: string[];
    } | undefined, h?: Record<string, string> | undefined, o?: RequestOption[] | undefined, responseHandler?: ResponseHandler | undefined): Promise<ReportRoot | undefined>;
    /**
     * Provides operations to call the getEmailActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getEmailActivityCountsWithPeriodRequestBuilder
     */
    getEmailActivityCountsWithPeriod(period: string | undefined): GetEmailActivityCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getEmailActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getEmailActivityUserCountsWithPeriodRequestBuilder
     */
    getEmailActivityUserCountsWithPeriod(period: string | undefined): GetEmailActivityUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getEmailActivityUserDetail method.
     * @param date Usage: date={date}
     * @returns a getEmailActivityUserDetailWithDateRequestBuilder
     */
    getEmailActivityUserDetailWithDate(date: DateOnly | undefined): GetEmailActivityUserDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getEmailActivityUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getEmailActivityUserDetailWithPeriodRequestBuilder
     */
    getEmailActivityUserDetailWithPeriod(period: string | undefined): GetEmailActivityUserDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getEmailAppUsageAppsUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getEmailAppUsageAppsUserCountsWithPeriodRequestBuilder
     */
    getEmailAppUsageAppsUserCountsWithPeriod(period: string | undefined): GetEmailAppUsageAppsUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getEmailAppUsageUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getEmailAppUsageUserCountsWithPeriodRequestBuilder
     */
    getEmailAppUsageUserCountsWithPeriod(period: string | undefined): GetEmailAppUsageUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getEmailAppUsageUserDetail method.
     * @param date Usage: date={date}
     * @returns a getEmailAppUsageUserDetailWithDateRequestBuilder
     */
    getEmailAppUsageUserDetailWithDate(date: DateOnly | undefined): GetEmailAppUsageUserDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getEmailAppUsageUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getEmailAppUsageUserDetailWithPeriodRequestBuilder
     */
    getEmailAppUsageUserDetailWithPeriod(period: string | undefined): GetEmailAppUsageUserDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getEmailAppUsageVersionsUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getEmailAppUsageVersionsUserCountsWithPeriodRequestBuilder
     */
    getEmailAppUsageVersionsUserCountsWithPeriod(period: string | undefined): GetEmailAppUsageVersionsUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getGroupArchivedPrintJobs method.
     * @param endDateTime Usage: endDateTime='{endDateTime}'
     * @param groupId Usage: groupId='{groupId}'
     * @param startDateTime Usage: startDateTime='{startDateTime}'
     * @returns a getGroupArchivedPrintJobsWithGroupIdWithStartDateTimeWithEndDateTimeRequestBuilder
     */
    getGroupArchivedPrintJobsWithGroupIdWithStartDateTimeWithEndDateTime(endDateTime: Date | undefined, groupId: string | undefined, startDateTime: Date | undefined): GetGroupArchivedPrintJobsWithGroupIdWithStartDateTimeWithEndDateTimeRequestBuilder;
    /**
     * Provides operations to call the getMailboxUsageDetail method.
     * @param period Usage: period='{period}'
     * @returns a getMailboxUsageDetailWithPeriodRequestBuilder
     */
    getMailboxUsageDetailWithPeriod(period: string | undefined): GetMailboxUsageDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getMailboxUsageMailboxCounts method.
     * @param period Usage: period='{period}'
     * @returns a getMailboxUsageMailboxCountsWithPeriodRequestBuilder
     */
    getMailboxUsageMailboxCountsWithPeriod(period: string | undefined): GetMailboxUsageMailboxCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getMailboxUsageQuotaStatusMailboxCounts method.
     * @param period Usage: period='{period}'
     * @returns a getMailboxUsageQuotaStatusMailboxCountsWithPeriodRequestBuilder
     */
    getMailboxUsageQuotaStatusMailboxCountsWithPeriod(period: string | undefined): GetMailboxUsageQuotaStatusMailboxCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getMailboxUsageStorage method.
     * @param period Usage: period='{period}'
     * @returns a getMailboxUsageStorageWithPeriodRequestBuilder
     */
    getMailboxUsageStorageWithPeriod(period: string | undefined): GetMailboxUsageStorageWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOffice365ActivationCounts method.
     * @returns a getOffice365ActivationCountsRequestBuilder
     */
    getOffice365ActivationCounts(): GetOffice365ActivationCountsRequestBuilder;
    /**
     * Provides operations to call the getOffice365ActivationsUserCounts method.
     * @returns a getOffice365ActivationsUserCountsRequestBuilder
     */
    getOffice365ActivationsUserCounts(): GetOffice365ActivationsUserCountsRequestBuilder;
    /**
     * Provides operations to call the getOffice365ActivationsUserDetail method.
     * @returns a getOffice365ActivationsUserDetailRequestBuilder
     */
    getOffice365ActivationsUserDetail(): GetOffice365ActivationsUserDetailRequestBuilder;
    /**
     * Provides operations to call the getOffice365ActiveUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365ActiveUserCountsWithPeriodRequestBuilder
     */
    getOffice365ActiveUserCountsWithPeriod(period: string | undefined): GetOffice365ActiveUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOffice365ActiveUserDetail method.
     * @param date Usage: date={date}
     * @returns a getOffice365ActiveUserDetailWithDateRequestBuilder
     */
    getOffice365ActiveUserDetailWithDate(date: DateOnly | undefined): GetOffice365ActiveUserDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getOffice365ActiveUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365ActiveUserDetailWithPeriodRequestBuilder
     */
    getOffice365ActiveUserDetailWithPeriod(period: string | undefined): GetOffice365ActiveUserDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOffice365GroupsActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365GroupsActivityCountsWithPeriodRequestBuilder
     */
    getOffice365GroupsActivityCountsWithPeriod(period: string | undefined): GetOffice365GroupsActivityCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOffice365GroupsActivityDetail method.
     * @param date Usage: date={date}
     * @returns a getOffice365GroupsActivityDetailWithDateRequestBuilder
     */
    getOffice365GroupsActivityDetailWithDate(date: DateOnly | undefined): GetOffice365GroupsActivityDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getOffice365GroupsActivityDetail method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365GroupsActivityDetailWithPeriodRequestBuilder
     */
    getOffice365GroupsActivityDetailWithPeriod(period: string | undefined): GetOffice365GroupsActivityDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOffice365GroupsActivityFileCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365GroupsActivityFileCountsWithPeriodRequestBuilder
     */
    getOffice365GroupsActivityFileCountsWithPeriod(period: string | undefined): GetOffice365GroupsActivityFileCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOffice365GroupsActivityGroupCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365GroupsActivityGroupCountsWithPeriodRequestBuilder
     */
    getOffice365GroupsActivityGroupCountsWithPeriod(period: string | undefined): GetOffice365GroupsActivityGroupCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOffice365GroupsActivityStorage method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365GroupsActivityStorageWithPeriodRequestBuilder
     */
    getOffice365GroupsActivityStorageWithPeriod(period: string | undefined): GetOffice365GroupsActivityStorageWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOffice365ServicesUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365ServicesUserCountsWithPeriodRequestBuilder
     */
    getOffice365ServicesUserCountsWithPeriod(period: string | undefined): GetOffice365ServicesUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOneDriveActivityFileCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveActivityFileCountsWithPeriodRequestBuilder
     */
    getOneDriveActivityFileCountsWithPeriod(period: string | undefined): GetOneDriveActivityFileCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOneDriveActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveActivityUserCountsWithPeriodRequestBuilder
     */
    getOneDriveActivityUserCountsWithPeriod(period: string | undefined): GetOneDriveActivityUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOneDriveActivityUserDetail method.
     * @param date Usage: date={date}
     * @returns a getOneDriveActivityUserDetailWithDateRequestBuilder
     */
    getOneDriveActivityUserDetailWithDate(date: DateOnly | undefined): GetOneDriveActivityUserDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getOneDriveActivityUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveActivityUserDetailWithPeriodRequestBuilder
     */
    getOneDriveActivityUserDetailWithPeriod(period: string | undefined): GetOneDriveActivityUserDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOneDriveUsageAccountCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveUsageAccountCountsWithPeriodRequestBuilder
     */
    getOneDriveUsageAccountCountsWithPeriod(period: string | undefined): GetOneDriveUsageAccountCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOneDriveUsageAccountDetail method.
     * @param date Usage: date={date}
     * @returns a getOneDriveUsageAccountDetailWithDateRequestBuilder
     */
    getOneDriveUsageAccountDetailWithDate(date: DateOnly | undefined): GetOneDriveUsageAccountDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getOneDriveUsageAccountDetail method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveUsageAccountDetailWithPeriodRequestBuilder
     */
    getOneDriveUsageAccountDetailWithPeriod(period: string | undefined): GetOneDriveUsageAccountDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOneDriveUsageFileCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveUsageFileCountsWithPeriodRequestBuilder
     */
    getOneDriveUsageFileCountsWithPeriod(period: string | undefined): GetOneDriveUsageFileCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOneDriveUsageStorage method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveUsageStorageWithPeriodRequestBuilder
     */
    getOneDriveUsageStorageWithPeriod(period: string | undefined): GetOneDriveUsageStorageWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getPrinterArchivedPrintJobs method.
     * @param endDateTime Usage: endDateTime='{endDateTime}'
     * @param printerId Usage: printerId='{printerId}'
     * @param startDateTime Usage: startDateTime='{startDateTime}'
     * @returns a getPrinterArchivedPrintJobsWithPrinterIdWithStartDateTimeWithEndDateTimeRequestBuilder
     */
    getPrinterArchivedPrintJobsWithPrinterIdWithStartDateTimeWithEndDateTime(endDateTime: Date | undefined, printerId: string | undefined, startDateTime: Date | undefined): GetPrinterArchivedPrintJobsWithPrinterIdWithStartDateTimeWithEndDateTimeRequestBuilder;
    /**
     * Provides operations to call the getSharePointActivityFileCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointActivityFileCountsWithPeriodRequestBuilder
     */
    getSharePointActivityFileCountsWithPeriod(period: string | undefined): GetSharePointActivityFileCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSharePointActivityPages method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointActivityPagesWithPeriodRequestBuilder
     */
    getSharePointActivityPagesWithPeriod(period: string | undefined): GetSharePointActivityPagesWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSharePointActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointActivityUserCountsWithPeriodRequestBuilder
     */
    getSharePointActivityUserCountsWithPeriod(period: string | undefined): GetSharePointActivityUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSharePointActivityUserDetail method.
     * @param date Usage: date={date}
     * @returns a getSharePointActivityUserDetailWithDateRequestBuilder
     */
    getSharePointActivityUserDetailWithDate(date: DateOnly | undefined): GetSharePointActivityUserDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getSharePointActivityUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointActivityUserDetailWithPeriodRequestBuilder
     */
    getSharePointActivityUserDetailWithPeriod(period: string | undefined): GetSharePointActivityUserDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSharePointSiteUsageDetail method.
     * @param date Usage: date={date}
     * @returns a getSharePointSiteUsageDetailWithDateRequestBuilder
     */
    getSharePointSiteUsageDetailWithDate(date: DateOnly | undefined): GetSharePointSiteUsageDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getSharePointSiteUsageDetail method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointSiteUsageDetailWithPeriodRequestBuilder
     */
    getSharePointSiteUsageDetailWithPeriod(period: string | undefined): GetSharePointSiteUsageDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSharePointSiteUsageFileCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointSiteUsageFileCountsWithPeriodRequestBuilder
     */
    getSharePointSiteUsageFileCountsWithPeriod(period: string | undefined): GetSharePointSiteUsageFileCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSharePointSiteUsagePages method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointSiteUsagePagesWithPeriodRequestBuilder
     */
    getSharePointSiteUsagePagesWithPeriod(period: string | undefined): GetSharePointSiteUsagePagesWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSharePointSiteUsageSiteCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointSiteUsageSiteCountsWithPeriodRequestBuilder
     */
    getSharePointSiteUsageSiteCountsWithPeriod(period: string | undefined): GetSharePointSiteUsageSiteCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSharePointSiteUsageStorage method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointSiteUsageStorageWithPeriodRequestBuilder
     */
    getSharePointSiteUsageStorageWithPeriod(period: string | undefined): GetSharePointSiteUsageStorageWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessActivityCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessActivityCountsWithPeriod(period: string | undefined): GetSkypeForBusinessActivityCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessActivityUserCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessActivityUserCountsWithPeriod(period: string | undefined): GetSkypeForBusinessActivityUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessActivityUserDetail method.
     * @param date Usage: date={date}
     * @returns a getSkypeForBusinessActivityUserDetailWithDateRequestBuilder
     */
    getSkypeForBusinessActivityUserDetailWithDate(date: DateOnly | undefined): GetSkypeForBusinessActivityUserDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessActivityUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessActivityUserDetailWithPeriodRequestBuilder
     */
    getSkypeForBusinessActivityUserDetailWithPeriod(period: string | undefined): GetSkypeForBusinessActivityUserDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessDeviceUsageDistributionUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessDeviceUsageDistributionUserCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessDeviceUsageDistributionUserCountsWithPeriod(period: string | undefined): GetSkypeForBusinessDeviceUsageDistributionUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessDeviceUsageUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessDeviceUsageUserCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessDeviceUsageUserCountsWithPeriod(period: string | undefined): GetSkypeForBusinessDeviceUsageUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessDeviceUsageUserDetail method.
     * @param date Usage: date={date}
     * @returns a getSkypeForBusinessDeviceUsageUserDetailWithDateRequestBuilder
     */
    getSkypeForBusinessDeviceUsageUserDetailWithDate(date: DateOnly | undefined): GetSkypeForBusinessDeviceUsageUserDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessDeviceUsageUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessDeviceUsageUserDetailWithPeriodRequestBuilder
     */
    getSkypeForBusinessDeviceUsageUserDetailWithPeriod(period: string | undefined): GetSkypeForBusinessDeviceUsageUserDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessOrganizerActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessOrganizerActivityCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessOrganizerActivityCountsWithPeriod(period: string | undefined): GetSkypeForBusinessOrganizerActivityCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessOrganizerActivityMinuteCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessOrganizerActivityMinuteCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessOrganizerActivityMinuteCountsWithPeriod(period: string | undefined): GetSkypeForBusinessOrganizerActivityMinuteCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessOrganizerActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessOrganizerActivityUserCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessOrganizerActivityUserCountsWithPeriod(period: string | undefined): GetSkypeForBusinessOrganizerActivityUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessParticipantActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessParticipantActivityCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessParticipantActivityCountsWithPeriod(period: string | undefined): GetSkypeForBusinessParticipantActivityCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessParticipantActivityMinuteCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessParticipantActivityMinuteCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessParticipantActivityMinuteCountsWithPeriod(period: string | undefined): GetSkypeForBusinessParticipantActivityMinuteCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessParticipantActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessParticipantActivityUserCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessParticipantActivityUserCountsWithPeriod(period: string | undefined): GetSkypeForBusinessParticipantActivityUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessPeerToPeerActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessPeerToPeerActivityCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessPeerToPeerActivityCountsWithPeriod(period: string | undefined): GetSkypeForBusinessPeerToPeerActivityCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessPeerToPeerActivityMinuteCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessPeerToPeerActivityMinuteCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessPeerToPeerActivityMinuteCountsWithPeriod(period: string | undefined): GetSkypeForBusinessPeerToPeerActivityMinuteCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessPeerToPeerActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessPeerToPeerActivityUserCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessPeerToPeerActivityUserCountsWithPeriod(period: string | undefined): GetSkypeForBusinessPeerToPeerActivityUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getTeamsDeviceUsageDistributionUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsDeviceUsageDistributionUserCountsWithPeriodRequestBuilder
     */
    getTeamsDeviceUsageDistributionUserCountsWithPeriod(period: string | undefined): GetTeamsDeviceUsageDistributionUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getTeamsDeviceUsageUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsDeviceUsageUserCountsWithPeriodRequestBuilder
     */
    getTeamsDeviceUsageUserCountsWithPeriod(period: string | undefined): GetTeamsDeviceUsageUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getTeamsDeviceUsageUserDetail method.
     * @param date Usage: date={date}
     * @returns a getTeamsDeviceUsageUserDetailWithDateRequestBuilder
     */
    getTeamsDeviceUsageUserDetailWithDate(date: DateOnly | undefined): GetTeamsDeviceUsageUserDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getTeamsDeviceUsageUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsDeviceUsageUserDetailWithPeriodRequestBuilder
     */
    getTeamsDeviceUsageUserDetailWithPeriod(period: string | undefined): GetTeamsDeviceUsageUserDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getTeamsUserActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsUserActivityCountsWithPeriodRequestBuilder
     */
    getTeamsUserActivityCountsWithPeriod(period: string | undefined): GetTeamsUserActivityCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getTeamsUserActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsUserActivityUserCountsWithPeriodRequestBuilder
     */
    getTeamsUserActivityUserCountsWithPeriod(period: string | undefined): GetTeamsUserActivityUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getTeamsUserActivityUserDetail method.
     * @param date Usage: date={date}
     * @returns a getTeamsUserActivityUserDetailWithDateRequestBuilder
     */
    getTeamsUserActivityUserDetailWithDate(date: DateOnly | undefined): GetTeamsUserActivityUserDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getTeamsUserActivityUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsUserActivityUserDetailWithPeriodRequestBuilder
     */
    getTeamsUserActivityUserDetailWithPeriod(period: string | undefined): GetTeamsUserActivityUserDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getUserArchivedPrintJobs method.
     * @param endDateTime Usage: endDateTime='{endDateTime}'
     * @param startDateTime Usage: startDateTime='{startDateTime}'
     * @param userId Usage: userId='{userId}'
     * @returns a getUserArchivedPrintJobsWithUserIdWithStartDateTimeWithEndDateTimeRequestBuilder
     */
    getUserArchivedPrintJobsWithUserIdWithStartDateTimeWithEndDateTime(endDateTime: Date | undefined, startDateTime: Date | undefined, userId: string | undefined): GetUserArchivedPrintJobsWithUserIdWithStartDateTimeWithEndDateTimeRequestBuilder;
    /**
     * Provides operations to call the getYammerActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getYammerActivityCountsWithPeriodRequestBuilder
     */
    getYammerActivityCountsWithPeriod(period: string | undefined): GetYammerActivityCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getYammerActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getYammerActivityUserCountsWithPeriodRequestBuilder
     */
    getYammerActivityUserCountsWithPeriod(period: string | undefined): GetYammerActivityUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getYammerActivityUserDetail method.
     * @param date Usage: date={date}
     * @returns a getYammerActivityUserDetailWithDateRequestBuilder
     */
    getYammerActivityUserDetailWithDate(date: DateOnly | undefined): GetYammerActivityUserDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getYammerActivityUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getYammerActivityUserDetailWithPeriodRequestBuilder
     */
    getYammerActivityUserDetailWithPeriod(period: string | undefined): GetYammerActivityUserDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getYammerDeviceUsageDistributionUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getYammerDeviceUsageDistributionUserCountsWithPeriodRequestBuilder
     */
    getYammerDeviceUsageDistributionUserCountsWithPeriod(period: string | undefined): GetYammerDeviceUsageDistributionUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getYammerDeviceUsageUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getYammerDeviceUsageUserCountsWithPeriodRequestBuilder
     */
    getYammerDeviceUsageUserCountsWithPeriod(period: string | undefined): GetYammerDeviceUsageUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getYammerDeviceUsageUserDetail method.
     * @param date Usage: date={date}
     * @returns a getYammerDeviceUsageUserDetailWithDateRequestBuilder
     */
    getYammerDeviceUsageUserDetailWithDate(date: DateOnly | undefined): GetYammerDeviceUsageUserDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getYammerDeviceUsageUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getYammerDeviceUsageUserDetailWithPeriodRequestBuilder
     */
    getYammerDeviceUsageUserDetailWithPeriod(period: string | undefined): GetYammerDeviceUsageUserDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getYammerGroupsActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getYammerGroupsActivityCountsWithPeriodRequestBuilder
     */
    getYammerGroupsActivityCountsWithPeriod(period: string | undefined): GetYammerGroupsActivityCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getYammerGroupsActivityDetail method.
     * @param date Usage: date={date}
     * @returns a getYammerGroupsActivityDetailWithDateRequestBuilder
     */
    getYammerGroupsActivityDetailWithDate(date: DateOnly | undefined): GetYammerGroupsActivityDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getYammerGroupsActivityDetail method.
     * @param period Usage: period='{period}'
     * @returns a getYammerGroupsActivityDetailWithPeriodRequestBuilder
     */
    getYammerGroupsActivityDetailWithPeriod(period: string | undefined): GetYammerGroupsActivityDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getYammerGroupsActivityGroupCounts method.
     * @param period Usage: period='{period}'
     * @returns a getYammerGroupsActivityGroupCountsWithPeriodRequestBuilder
     */
    getYammerGroupsActivityGroupCountsWithPeriod(period: string | undefined): GetYammerGroupsActivityGroupCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the managedDeviceEnrollmentFailureDetails method.
     * @returns a managedDeviceEnrollmentFailureDetailsRequestBuilder
     */
    managedDeviceEnrollmentFailureDetails(): ManagedDeviceEnrollmentFailureDetailsRequestBuilder;
    /**
     * Provides operations to call the managedDeviceEnrollmentFailureDetails method.
     * @param filter Usage: filter='{filter}'
     * @param skip Usage: skip={skip}
     * @param skipToken Usage: skipToken='{skipToken}'
     * @param top Usage: top={top}
     * @returns a managedDeviceEnrollmentFailureDetailsWithSkipWithTopWithFilterWithSkipTokenRequestBuilder
     */
    managedDeviceEnrollmentFailureDetailsWithSkipWithTopWithFilterWithSkipToken(filter: string | undefined, skip: number | undefined, skipToken: string | undefined, top: number | undefined): ManagedDeviceEnrollmentFailureDetailsWithSkipWithTopWithFilterWithSkipTokenRequestBuilder;
    /**
     * Provides operations to call the managedDeviceEnrollmentTopFailures method.
     * @returns a managedDeviceEnrollmentTopFailuresRequestBuilder
     */
    managedDeviceEnrollmentTopFailures(): ManagedDeviceEnrollmentTopFailuresRequestBuilder;
    /**
     * Provides operations to call the managedDeviceEnrollmentTopFailures method.
     * @param period Usage: period='{period}'
     * @returns a managedDeviceEnrollmentTopFailuresWithPeriodRequestBuilder
     */
    managedDeviceEnrollmentTopFailuresWithPeriod(period: string | undefined): ManagedDeviceEnrollmentTopFailuresWithPeriodRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.reports.monthlyPrintUsageByPrinter.item collection
     * @param id Unique identifier of the item
     * @returns a printUsageByPrinterItemRequestBuilder
     */
    monthlyPrintUsageByPrinterById(id: string): iaccf0da2bb94f1672a9d4b50cb59ac46c2636af941878f04ccda835b4e6bc6df;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.reports.monthlyPrintUsageByUser.item collection
     * @param id Unique identifier of the item
     * @returns a printUsageByUserItemRequestBuilder
     */
    monthlyPrintUsageByUserById(id: string): i01dcdbc56e5bbfc103a10dadf48ed650311b2b37a8a04c85ddabbe6c031fcb3e;
    /**
     * Update reports
     * @param body
     * @param h Request headers
     * @param o Request options
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: ReportRoot | undefined, h?: Record<string, string> | undefined, o?: RequestOption[] | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
