import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the changePassword method.  */
export declare class ChangePasswordRequestBody implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.  */
    private _additionalData;
    private _currentPassword?;
    private _newPassword?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new changePasswordRequestBody and sets the default values.
     */
    constructor();
    /**
     * Gets the currentPassword property value.
     * @returns a string
     */
    get currentPassword(): string | undefined;
    /**
     * Sets the currentPassword property value.
     * @param value Value to set for the currentPassword property.
     */
    set currentPassword(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers<T>(): Record<string, (item: T, node: ParseNode) => void>;
    /**
     * Gets the newPassword property value.
     * @returns a string
     */
    get newPassword(): string | undefined;
    /**
     * Sets the newPassword property value.
     * @param value Value to set for the newPassword property.
     */
    set newPassword(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
