import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the checkin method.  */
export declare class CheckinRequestBody implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.  */
    private _additionalData;
    private _checkInAs?;
    private _comment?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the checkInAs property value.
     * @returns a string
     */
    get checkInAs(): string | undefined;
    /**
     * Sets the checkInAs property value.
     * @param value Value to set for the checkInAs property.
     */
    set checkInAs(value: string | undefined);
    /**
     * Gets the comment property value.
     * @returns a string
     */
    get comment(): string | undefined;
    /**
     * Sets the comment property value.
     * @param value Value to set for the comment property.
     */
    set comment(value: string | undefined);
    /**
     * Instantiates a new checkinRequestBody and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers<T>(): Record<string, (item: T, node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
