"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateUploadSessionRequestBody = void 0;
const createDriveItemUploadablePropertiesFromDiscriminatorValue_1 = require("../../../models/microsoft/graph/createDriveItemUploadablePropertiesFromDiscriminatorValue");
/** Provides operations to call the createUploadSession method.  */
class CreateUploadSessionRequestBody {
    /**
     * Instantiates a new createUploadSessionRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "item": (o, n) => { o.item = n.getObjectValue(createDriveItemUploadablePropertiesFromDiscriminatorValue_1.createDriveItemUploadablePropertiesFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the item property value.
     * @returns a driveItemUploadableProperties
     */
    get item() {
        return this._item;
    }
    ;
    /**
     * Sets the item property value.
     * @param value Value to set for the item property.
     */
    set item(value) {
        this._item = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("item", this.item);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.CreateUploadSessionRequestBody = CreateUploadSessionRequestBody;
