"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScheduleActionsForRulesRequestBody = void 0;
const createDeviceComplianceScheduledActionForRuleFromDiscriminatorValue_1 = require("../../../../models/microsoft/graph/createDeviceComplianceScheduledActionForRuleFromDiscriminatorValue");
/** Provides operations to call the scheduleActionsForRules method.  */
class ScheduleActionsForRulesRequestBody {
    /**
     * Instantiates a new scheduleActionsForRulesRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the deviceComplianceScheduledActionForRules property value.
     * @returns a deviceComplianceScheduledActionForRule
     */
    get deviceComplianceScheduledActionForRules() {
        return this._deviceComplianceScheduledActionForRules;
    }
    ;
    /**
     * Sets the deviceComplianceScheduledActionForRules property value.
     * @param value Value to set for the deviceComplianceScheduledActionForRules property.
     */
    set deviceComplianceScheduledActionForRules(value) {
        this._deviceComplianceScheduledActionForRules = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "deviceComplianceScheduledActionForRules": (o, n) => { o.deviceComplianceScheduledActionForRules = n.getCollectionOfObjectValues(createDeviceComplianceScheduledActionForRuleFromDiscriminatorValue_1.createDeviceComplianceScheduledActionForRuleFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfObjectValues("deviceComplianceScheduledActionForRules", this.deviceComplianceScheduledActionForRules);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.ScheduleActionsForRulesRequestBody = ScheduleActionsForRulesRequestBody;
