"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CopyRequestBody = void 0;
/** Provides operations to call the copy method.  */
class CopyRequestBody {
    /**
     * Instantiates a new copyRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the destinationId property value.
     * @returns a string
     */
    get destinationId() {
        return this._destinationId;
    }
    ;
    /**
     * Sets the destinationId property value.
     * @param value Value to set for the DestinationId property.
     */
    set destinationId(value) {
        this._destinationId = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "destinationId": (o, n) => { o.destinationId = n.getStringValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("destinationId", this.destinationId);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.CopyRequestBody = CopyRequestBody;
