"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WipeManagedAppRegistrationsByDeviceTagRequestBody = void 0;
/** Provides operations to call the wipeManagedAppRegistrationsByDeviceTag method.  */
class WipeManagedAppRegistrationsByDeviceTagRequestBody {
    /**
     * Instantiates a new wipeManagedAppRegistrationsByDeviceTagRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the deviceTag property value.
     * @returns a string
     */
    get deviceTag() {
        return this._deviceTag;
    }
    ;
    /**
     * Sets the deviceTag property value.
     * @param value Value to set for the deviceTag property.
     */
    set deviceTag(value) {
        this._deviceTag = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "deviceTag": (o, n) => { o.deviceTag = n.getStringValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("deviceTag", this.deviceTag);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.WipeManagedAppRegistrationsByDeviceTagRequestBody = WipeManagedAppRegistrationsByDeviceTagRequestBody;
