"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CallOptions = void 0;
class CallOptions {
    /**
     * Instantiates a new callOptions and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "hideBotAfterEscalation": (o, n) => { o.hideBotAfterEscalation = n.getBooleanValue(); },
        };
    }
    ;
    /**
     * Gets the hideBotAfterEscalation property value.
     * @returns a boolean
     */
    get hideBotAfterEscalation() {
        return this._hideBotAfterEscalation;
    }
    ;
    /**
     * Sets the hideBotAfterEscalation property value.
     * @param value Value to set for the hideBotAfterEscalation property.
     */
    set hideBotAfterEscalation(value) {
        this._hideBotAfterEscalation = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeBooleanValue("hideBotAfterEscalation", this.hideBotAfterEscalation);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.CallOptions = CallOptions;
