"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceManagementReports = void 0;
const createDeviceManagementExportJobFromDiscriminatorValue_1 = require("./createDeviceManagementExportJobFromDiscriminatorValue");
const index_1 = require("./index");
class DeviceManagementReports extends index_1.Entity {
    /**
     * Instantiates a new deviceManagementReports and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the exportJobs property value. Entity representing a job to export a report
     * @returns a deviceManagementExportJob
     */
    get exportJobs() {
        return this._exportJobs;
    }
    ;
    /**
     * Sets the exportJobs property value. Entity representing a job to export a report
     * @param value Value to set for the exportJobs property.
     */
    set exportJobs(value) {
        this._exportJobs = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "exportJobs": (o, n) => { o.exportJobs = n.getCollectionOfObjectValues(createDeviceManagementExportJobFromDiscriminatorValue_1.createDeviceManagementExportJobFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("exportJobs", this.exportJobs);
    }
    ;
}
exports.DeviceManagementReports = DeviceManagementReports;
