"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceManagementTroubleshootingEvent = void 0;
const index_1 = require("./index");
class DeviceManagementTroubleshootingEvent extends index_1.Entity {
    /**
     * Instantiates a new deviceManagementTroubleshootingEvent and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the correlationId property value. Id used for tracing the failure in the service.
     * @returns a string
     */
    get correlationId() {
        return this._correlationId;
    }
    ;
    /**
     * Sets the correlationId property value. Id used for tracing the failure in the service.
     * @param value Value to set for the correlationId property.
     */
    set correlationId(value) {
        this._correlationId = value;
    }
    ;
    /**
     * Gets the eventDateTime property value. Time when the event occurred .
     * @returns a Date
     */
    get eventDateTime() {
        return this._eventDateTime;
    }
    ;
    /**
     * Sets the eventDateTime property value. Time when the event occurred .
     * @param value Value to set for the eventDateTime property.
     */
    set eventDateTime(value) {
        this._eventDateTime = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "correlationId": (o, n) => { o.correlationId = n.getStringValue(); }, "eventDateTime": (o, n) => { o.eventDateTime = n.getDateValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("correlationId", this.correlationId);
        writer.writeDateValue("eventDateTime", this.eventDateTime);
    }
    ;
}
exports.DeviceManagementTroubleshootingEvent = DeviceManagementTroubleshootingEvent;
