"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ItemAnalytics = void 0;
const createItemActivityStatFromDiscriminatorValue_1 = require("./createItemActivityStatFromDiscriminatorValue");
const index_1 = require("./index");
class ItemAnalytics extends index_1.Entity {
    /**
     * Instantiates a new itemAnalytics and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the allTime property value.
     * @returns a itemActivityStat
     */
    get allTime() {
        return this._allTime;
    }
    ;
    /**
     * Sets the allTime property value.
     * @param value Value to set for the allTime property.
     */
    set allTime(value) {
        this._allTime = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "allTime": (o, n) => { o.allTime = n.getObjectValue(createItemActivityStatFromDiscriminatorValue_1.createItemActivityStatFromDiscriminatorValue); }, "itemActivityStats": (o, n) => { o.itemActivityStats = n.getCollectionOfObjectValues(createItemActivityStatFromDiscriminatorValue_1.createItemActivityStatFromDiscriminatorValue); }, "lastSevenDays": (o, n) => { o.lastSevenDays = n.getObjectValue(createItemActivityStatFromDiscriminatorValue_1.createItemActivityStatFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the itemActivityStats property value.
     * @returns a itemActivityStat
     */
    get itemActivityStats() {
        return this._itemActivityStats;
    }
    ;
    /**
     * Sets the itemActivityStats property value.
     * @param value Value to set for the itemActivityStats property.
     */
    set itemActivityStats(value) {
        this._itemActivityStats = value;
    }
    ;
    /**
     * Gets the lastSevenDays property value.
     * @returns a itemActivityStat
     */
    get lastSevenDays() {
        return this._lastSevenDays;
    }
    ;
    /**
     * Sets the lastSevenDays property value.
     * @param value Value to set for the lastSevenDays property.
     */
    set lastSevenDays(value) {
        this._lastSevenDays = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("allTime", this.allTime);
        writer.writeCollectionOfObjectValues("itemActivityStats", this.itemActivityStats);
        writer.writeObjectValue("lastSevenDays", this.lastSevenDays);
    }
    ;
}
exports.ItemAnalytics = ItemAnalytics;
