"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListItemVersion = void 0;
const createFieldValueSetFromDiscriminatorValue_1 = require("./createFieldValueSetFromDiscriminatorValue");
const index_1 = require("./index");
class ListItemVersion extends index_1.BaseItemVersion {
    /**
     * Instantiates a new listItemVersion and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the fields property value. A collection of the fields and values for this version of the list item.
     * @returns a fieldValueSet
     */
    get fields() {
        return this._fields;
    }
    ;
    /**
     * Sets the fields property value. A collection of the fields and values for this version of the list item.
     * @param value Value to set for the fields property.
     */
    set fields(value) {
        this._fields = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "fields": (o, n) => { o.fields = n.getObjectValue(createFieldValueSetFromDiscriminatorValue_1.createFieldValueSetFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("fields", this.fields);
    }
    ;
}
exports.ListItemVersion = ListItemVersion;
