"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagedAppPolicyDeploymentSummary = void 0;
const createManagedAppPolicyDeploymentSummaryPerAppFromDiscriminatorValue_1 = require("./createManagedAppPolicyDeploymentSummaryPerAppFromDiscriminatorValue");
const index_1 = require("./index");
class ManagedAppPolicyDeploymentSummary extends index_1.Entity {
    /**
     * Instantiates a new managedAppPolicyDeploymentSummary and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the configurationDeployedUserCount property value. Not yet documented
     * @returns a integer
     */
    get configurationDeployedUserCount() {
        return this._configurationDeployedUserCount;
    }
    ;
    /**
     * Sets the configurationDeployedUserCount property value. Not yet documented
     * @param value Value to set for the configurationDeployedUserCount property.
     */
    set configurationDeployedUserCount(value) {
        this._configurationDeployedUserCount = value;
    }
    ;
    /**
     * Gets the configurationDeploymentSummaryPerApp property value. Not yet documented
     * @returns a managedAppPolicyDeploymentSummaryPerApp
     */
    get configurationDeploymentSummaryPerApp() {
        return this._configurationDeploymentSummaryPerApp;
    }
    ;
    /**
     * Sets the configurationDeploymentSummaryPerApp property value. Not yet documented
     * @param value Value to set for the configurationDeploymentSummaryPerApp property.
     */
    set configurationDeploymentSummaryPerApp(value) {
        this._configurationDeploymentSummaryPerApp = value;
    }
    ;
    ;
    /**
     * Gets the displayName property value. Not yet documented
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Not yet documented
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "configurationDeployedUserCount": (o, n) => { o.configurationDeployedUserCount = n.getNumberValue(); }, "configurationDeploymentSummaryPerApp": (o, n) => { o.configurationDeploymentSummaryPerApp = n.getCollectionOfObjectValues(createManagedAppPolicyDeploymentSummaryPerAppFromDiscriminatorValue_1.createManagedAppPolicyDeploymentSummaryPerAppFromDiscriminatorValue); }, "displayName": (o, n) => { o.displayName = n.getStringValue(); }, "lastRefreshTime": (o, n) => { o.lastRefreshTime = n.getDateValue(); }, "version": (o, n) => { o.version = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the lastRefreshTime property value. Not yet documented
     * @returns a Date
     */
    get lastRefreshTime() {
        return this._lastRefreshTime;
    }
    ;
    /**
     * Sets the lastRefreshTime property value. Not yet documented
     * @param value Value to set for the lastRefreshTime property.
     */
    set lastRefreshTime(value) {
        this._lastRefreshTime = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeNumberValue("configurationDeployedUserCount", this.configurationDeployedUserCount);
        writer.writeCollectionOfObjectValues("configurationDeploymentSummaryPerApp", this.configurationDeploymentSummaryPerApp);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeDateValue("lastRefreshTime", this.lastRefreshTime);
        writer.writeStringValue("version", this.version);
    }
    ;
    /**
     * Gets the version property value. Version of the entity.
     * @returns a string
     */
    get version() {
        return this._version;
    }
    ;
    /**
     * Sets the version property value. Version of the entity.
     * @param value Value to set for the version property.
     */
    set version(value) {
        this._version = value;
    }
    ;
}
exports.ManagedAppPolicyDeploymentSummary = ManagedAppPolicyDeploymentSummary;
