"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrintOperation = void 0;
const createPrintOperationStatusFromDiscriminatorValue_1 = require("./createPrintOperationStatusFromDiscriminatorValue");
const index_1 = require("./index");
class PrintOperation extends index_1.Entity {
    /**
     * Instantiates a new printOperation and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the createdDateTime property value. The DateTimeOffset when the operation was created. Read-only.
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. The DateTimeOffset when the operation was created. Read-only.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "createdDateTime": (o, n) => { o.createdDateTime = n.getDateValue(); }, "status": (o, n) => { o.status = n.getObjectValue(createPrintOperationStatusFromDiscriminatorValue_1.createPrintOperationStatusFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeObjectValue("status", this.status);
    }
    ;
    /**
     * Gets the status property value.
     * @returns a printOperationStatus
     */
    get status() {
        return this._status;
    }
    ;
    /**
     * Sets the status property value.
     * @param value Value to set for the status property.
     */
    set status(value) {
        this._status = value;
    }
    ;
}
exports.PrintOperation = PrintOperation;
