"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProfilePhoto = void 0;
const index_1 = require("./index");
class ProfilePhoto extends index_1.Entity {
    /**
     * Instantiates a new profilePhoto and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "height": (o, n) => { o.height = n.getNumberValue(); }, "width": (o, n) => { o.width = n.getNumberValue(); } });
    }
    ;
    /**
     * Gets the height property value. The height of the photo. Read-only.
     * @returns a integer
     */
    get height() {
        return this._height;
    }
    ;
    /**
     * Sets the height property value. The height of the photo. Read-only.
     * @param value Value to set for the height property.
     */
    set height(value) {
        this._height = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeNumberValue("height", this.height);
        writer.writeNumberValue("width", this.width);
    }
    ;
    /**
     * Gets the width property value. The width of the photo. Read-only.
     * @returns a integer
     */
    get width() {
        return this._width;
    }
    ;
    /**
     * Sets the width property value. The width of the photo. Read-only.
     * @param value Value to set for the width property.
     */
    set width(value) {
        this._width = value;
    }
    ;
}
exports.ProfilePhoto = ProfilePhoto;
