"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RecordOperation = void 0;
const index_1 = require("./index");
class RecordOperation extends index_1.CommsOperation {
    /**
     * Instantiates a new recordOperation and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "recordingAccessToken": (o, n) => { o.recordingAccessToken = n.getStringValue(); }, "recordingLocation": (o, n) => { o.recordingLocation = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the recordingAccessToken property value. The access token required to retrieve the recording.
     * @returns a string
     */
    get recordingAccessToken() {
        return this._recordingAccessToken;
    }
    ;
    /**
     * Sets the recordingAccessToken property value. The access token required to retrieve the recording.
     * @param value Value to set for the recordingAccessToken property.
     */
    set recordingAccessToken(value) {
        this._recordingAccessToken = value;
    }
    ;
    /**
     * Gets the recordingLocation property value. The location where the recording is located.
     * @returns a string
     */
    get recordingLocation() {
        return this._recordingLocation;
    }
    ;
    /**
     * Sets the recordingLocation property value. The location where the recording is located.
     * @param value Value to set for the recordingLocation property.
     */
    set recordingLocation(value) {
        this._recordingLocation = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("recordingAccessToken", this.recordingAccessToken);
        writer.writeStringValue("recordingLocation", this.recordingLocation);
    }
    ;
}
exports.RecordOperation = RecordOperation;
