"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RiskEventType = void 0;
/** Provides operations to manage the auditLogRoot singleton.  */
var RiskEventType;
(function (RiskEventType) {
    RiskEventType["UnlikelyTravel"] = "unlikelyTravel";
    RiskEventType["AnonymizedIPAddress"] = "anonymizedIPAddress";
    RiskEventType["MaliciousIPAddress"] = "maliciousIPAddress";
    RiskEventType["UnfamiliarFeatures"] = "unfamiliarFeatures";
    RiskEventType["MalwareInfectedIPAddress"] = "malwareInfectedIPAddress";
    RiskEventType["SuspiciousIPAddress"] = "suspiciousIPAddress";
    RiskEventType["LeakedCredentials"] = "leakedCredentials";
    RiskEventType["InvestigationsThreatIntelligence"] = "investigationsThreatIntelligence";
    RiskEventType["Generic"] = "generic";
    RiskEventType["AdminConfirmedUserCompromised"] = "adminConfirmedUserCompromised";
    RiskEventType["McasImpossibleTravel"] = "mcasImpossibleTravel";
    RiskEventType["McasSuspiciousInboxManipulationRules"] = "mcasSuspiciousInboxManipulationRules";
    RiskEventType["InvestigationsThreatIntelligenceSigninLinked"] = "investigationsThreatIntelligenceSigninLinked";
    RiskEventType["MaliciousIPAddressValidCredentialsBlockedIP"] = "maliciousIPAddressValidCredentialsBlockedIP";
    RiskEventType["UnknownFutureValue"] = "unknownFutureValue";
})(RiskEventType = exports.RiskEventType || (exports.RiskEventType = {}));
