"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SharePointIdentity = void 0;
const index_1 = require("./index");
class SharePointIdentity extends index_1.Identity {
    /**
     * Instantiates a new sharePointIdentity and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "loginName": (o, n) => { o.loginName = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the loginName property value. The sign in name of the SharePoint identity.
     * @returns a string
     */
    get loginName() {
        return this._loginName;
    }
    ;
    /**
     * Sets the loginName property value. The sign in name of the SharePoint identity.
     * @param value Value to set for the loginName property.
     */
    set loginName(value) {
        this._loginName = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("loginName", this.loginName);
    }
    ;
}
exports.SharePointIdentity = SharePointIdentity;
