"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TeamGuestSettings = void 0;
class TeamGuestSettings {
    /**
     * Instantiates a new teamGuestSettings and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the allowCreateUpdateChannels property value. If set to true, guests can add and update channels.
     * @returns a boolean
     */
    get allowCreateUpdateChannels() {
        return this._allowCreateUpdateChannels;
    }
    ;
    /**
     * Sets the allowCreateUpdateChannels property value. If set to true, guests can add and update channels.
     * @param value Value to set for the allowCreateUpdateChannels property.
     */
    set allowCreateUpdateChannels(value) {
        this._allowCreateUpdateChannels = value;
    }
    ;
    /**
     * Gets the allowDeleteChannels property value. If set to true, guests can delete channels.
     * @returns a boolean
     */
    get allowDeleteChannels() {
        return this._allowDeleteChannels;
    }
    ;
    /**
     * Sets the allowDeleteChannels property value. If set to true, guests can delete channels.
     * @param value Value to set for the allowDeleteChannels property.
     */
    set allowDeleteChannels(value) {
        this._allowDeleteChannels = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "allowCreateUpdateChannels": (o, n) => { o.allowCreateUpdateChannels = n.getBooleanValue(); },
            "allowDeleteChannels": (o, n) => { o.allowDeleteChannels = n.getBooleanValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeBooleanValue("allowCreateUpdateChannels", this.allowCreateUpdateChannels);
        writer.writeBooleanValue("allowDeleteChannels", this.allowDeleteChannels);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.TeamGuestSettings = TeamGuestSettings;
