"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TeamworkHostedContent = void 0;
const index_1 = require("./index");
class TeamworkHostedContent extends index_1.Entity {
    /**
     * Instantiates a new teamworkHostedContent and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the contentBytes property value. Write only. Bytes for the hosted content (such as images).
     * @returns a binary
     */
    get contentBytes() {
        return this._contentBytes;
    }
    ;
    /**
     * Sets the contentBytes property value. Write only. Bytes for the hosted content (such as images).
     * @param value Value to set for the contentBytes property.
     */
    set contentBytes(value) {
        this._contentBytes = value;
    }
    ;
    /**
     * Gets the contentType property value. Write only. Content type. sicj as image/png, image/jpg.
     * @returns a string
     */
    get contentType() {
        return this._contentType;
    }
    ;
    /**
     * Sets the contentType property value. Write only. Content type. sicj as image/png, image/jpg.
     * @param value Value to set for the contentType property.
     */
    set contentType(value) {
        this._contentType = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "contentBytes": (o, n) => { o.contentBytes = n.getStringValue(); }, "contentType": (o, n) => { o.contentType = n.getStringValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("contentBytes", this.contentBytes);
        writer.writeStringValue("contentType", this.contentType);
    }
    ;
}
exports.TeamworkHostedContent = TeamworkHostedContent;
