"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateWindowsDeviceAccountActionParameter = void 0;
const createWindowsDeviceAccountFromDiscriminatorValue_1 = require("./createWindowsDeviceAccountFromDiscriminatorValue");
class UpdateWindowsDeviceAccountActionParameter {
    /**
     * Instantiates a new updateWindowsDeviceAccountActionParameter and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the calendarSyncEnabled property value. Not yet documented
     * @returns a boolean
     */
    get calendarSyncEnabled() {
        return this._calendarSyncEnabled;
    }
    ;
    /**
     * Sets the calendarSyncEnabled property value. Not yet documented
     * @param value Value to set for the calendarSyncEnabled property.
     */
    set calendarSyncEnabled(value) {
        this._calendarSyncEnabled = value;
    }
    ;
    ;
    /**
     * Gets the deviceAccount property value. Not yet documented
     * @returns a windowsDeviceAccount
     */
    get deviceAccount() {
        return this._deviceAccount;
    }
    ;
    /**
     * Sets the deviceAccount property value. Not yet documented
     * @param value Value to set for the deviceAccount property.
     */
    set deviceAccount(value) {
        this._deviceAccount = value;
    }
    ;
    /**
     * Gets the deviceAccountEmail property value. Not yet documented
     * @returns a string
     */
    get deviceAccountEmail() {
        return this._deviceAccountEmail;
    }
    ;
    /**
     * Sets the deviceAccountEmail property value. Not yet documented
     * @param value Value to set for the deviceAccountEmail property.
     */
    set deviceAccountEmail(value) {
        this._deviceAccountEmail = value;
    }
    ;
    /**
     * Gets the exchangeServer property value. Not yet documented
     * @returns a string
     */
    get exchangeServer() {
        return this._exchangeServer;
    }
    ;
    /**
     * Sets the exchangeServer property value. Not yet documented
     * @param value Value to set for the exchangeServer property.
     */
    set exchangeServer(value) {
        this._exchangeServer = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "calendarSyncEnabled": (o, n) => { o.calendarSyncEnabled = n.getBooleanValue(); },
            "deviceAccount": (o, n) => { o.deviceAccount = n.getObjectValue(createWindowsDeviceAccountFromDiscriminatorValue_1.createWindowsDeviceAccountFromDiscriminatorValue); },
            "deviceAccountEmail": (o, n) => { o.deviceAccountEmail = n.getStringValue(); },
            "exchangeServer": (o, n) => { o.exchangeServer = n.getStringValue(); },
            "passwordRotationEnabled": (o, n) => { o.passwordRotationEnabled = n.getBooleanValue(); },
            "sessionInitiationProtocalAddress": (o, n) => { o.sessionInitiationProtocalAddress = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the passwordRotationEnabled property value. Not yet documented
     * @returns a boolean
     */
    get passwordRotationEnabled() {
        return this._passwordRotationEnabled;
    }
    ;
    /**
     * Sets the passwordRotationEnabled property value. Not yet documented
     * @param value Value to set for the passwordRotationEnabled property.
     */
    set passwordRotationEnabled(value) {
        this._passwordRotationEnabled = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeBooleanValue("calendarSyncEnabled", this.calendarSyncEnabled);
        writer.writeObjectValue("deviceAccount", this.deviceAccount);
        writer.writeStringValue("deviceAccountEmail", this.deviceAccountEmail);
        writer.writeStringValue("exchangeServer", this.exchangeServer);
        writer.writeBooleanValue("passwordRotationEnabled", this.passwordRotationEnabled);
        writer.writeStringValue("sessionInitiationProtocalAddress", this.sessionInitiationProtocalAddress);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the sessionInitiationProtocalAddress property value. Not yet documented
     * @returns a string
     */
    get sessionInitiationProtocalAddress() {
        return this._sessionInitiationProtocalAddress;
    }
    ;
    /**
     * Sets the sessionInitiationProtocalAddress property value. Not yet documented
     * @param value Value to set for the sessionInitiationProtocalAddress property.
     */
    set sessionInitiationProtocalAddress(value) {
        this._sessionInitiationProtocalAddress = value;
    }
    ;
}
exports.UpdateWindowsDeviceAccountActionParameter = UpdateWindowsDeviceAccountActionParameter;
