"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkbookChartLineFormat = void 0;
const index_1 = require("./index");
class WorkbookChartLineFormat extends index_1.Entity {
    /**
     * Instantiates a new workbookChartLineFormat and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the color property value. HTML color code representing the color of lines in the chart.
     * @returns a string
     */
    get color() {
        return this._color;
    }
    ;
    /**
     * Sets the color property value. HTML color code representing the color of lines in the chart.
     * @param value Value to set for the color property.
     */
    set color(value) {
        this._color = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "color": (o, n) => { o.color = n.getStringValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("color", this.color);
    }
    ;
}
exports.WorkbookChartLineFormat = WorkbookChartLineFormat;
