"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddRequestBody = void 0;
const createConversationMemberFromDiscriminatorValue_1 = require("../../../../../../../../models/microsoft/graph/createConversationMemberFromDiscriminatorValue");
/** Provides operations to call the add method.  */
class AddRequestBody {
    /**
     * Instantiates a new addRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (item: T, node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "values": (o, n) => { o.values = n.getCollectionOfObjectValues(createConversationMemberFromDiscriminatorValue_1.createConversationMemberFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfObjectValues("values", this.values);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the values property value.
     * @returns a conversationMember
     */
    get values() {
        return this._values;
    }
    ;
    /**
     * Sets the values property value.
     * @param value Value to set for the values property.
     */
    set values(value) {
        this._values = value;
    }
    ;
}
exports.AddRequestBody = AddRequestBody;
